/*
	JAVASCRIPT FUNCTIONS FOR ODBC/RADIUS
*/

function isIdExist(id){
	return document.getElementById(id) != null;
}

function IdHide(id){
	document.getElementById(id).style.display = 'none';
}

function IdShow(id){
	document.getElementById(id).style.display = '';
}

function IdValue(id){
	return document.getElementById(id).value;
}

function isIdHide(id){
	return document.getElementById(id).style.display == 'none';
}

function show_hide(id){
	if(isIdExist(id)){
		if (isIdHide(id))
			IdShow(id);
		else
			IdHide(id);
	}
}

function code_enable() {
	var displayString;
	IdHide('editSecretRow');

	if (document.getElementById("login_opt_un").checked || document.getElementById("login_opt_us").checked)
		document.form_a.self_sign_up_plan.disabled=false;
	else
		document.form_a.self_sign_up_plan.disabled=true;

	// 20080422 - Name changed
	if (document.getElementById("login_opt_as").checked)	//adjust visibility
	{
		IdHide('anonymous_showUsersLog');
		IdShow('ssecret_showUsersLog');
		IdShow('manageSecret');
		if (IdValue('manageSecret') == 'Hide')
		{	//refesh manage secret button
			toggleEditSecretFrame();
		}
	}
	else if (document.getElementById("login_opt_an").checked)//adjust visibility
	{
		IdShow('anonymous_showUsersLog');
		IdHide('ssecret_showUsersLog');
		IdHide('manageSecret');
	}
	else
	{
		IdHide('anonymous_showUsersLog');
		IdHide('ssecret_showUsersLog');
		IdHide('manageSecret');
	}

	if (document.getElementById("login_opt_us").checked)
	{
		document.form_a.accept_v6_scratch_code.disabled=false;
	}
	else
	{
		document.form_a.accept_v6_scratch_code.disabled=true;
	}

	eml_change_display(document.getElementById("login_opt_em").checked?'':'none');
}

function commonChange_RADIUS_ODBC(){
	show_hide('odbc_selection_checked');
	show_hide('radius_selection_checked');
	show_hide('odbc_Datasource');
	show_hide('odbc_session_log');
	show_hide('radius_ServerIP');
	show_hide('radius_AuthPort');
	show_hide('radius_AccPort');
	show_hide('radius_SharedSecret');
	show_hide('radius_FSVendorID');
	show_hide('radius_LocalDatasource');
	show_hide('radius_acct_method');
	show_hide('radius_line2');
	show_hide('radius_NAS_IDENTIFIER');
	show_hide('radius_line3');
	show_hide('radius_NAS_IP_ADDRESS');
	show_hide('radius_line4');
	show_hide('radius_ACCT_STATUS_FSLOGIN');
	show_hide('radius_line5');
	show_hide('radius_ACCT_STATUS_FSLOGOUT');
	show_hide('radius_line6');
	show_hide('radius_ACCT_STATUS_FSWRITELOG');
	show_hide('radius_line9');
	show_hide('radius_line8');
	show_hide('anonymous1');
	show_hide('radius_line10');
	show_hide('radius_line11');
	show_hide('second_radius_line');
	show_hide('second_radius_line0');
	show_hide('radius_use_two_radius');
	show_hide('second_radius_line1');
	show_hide('radius_line12');
	show_hide('radius_multiple_logins');
	show_hide('radius_line13');
	show_hide('odbc_line1');

	document.form_a.use_two_radius[1].checked = true;
	changeUseTwoRadius(0);

}

function changeRADIUS(){
	document.form_a.radius_selection[1].checked = true;
	document.form_a.odbc_selection[1].checked = true;
	commonChange_RADIUS_ODBC();

	//hide all anonymous options row
	IdHide('editSecretRow');
	IdHide('anonymous_showUsersLog');
	IdHide('ssecret_showUsersLog');
	IdHide('manageSecret');
	// hide all scenario2
	if(isIdExist('scenario2')){
		document.form_a.scenario2.checked = false;
		IdHide('scenario2');
		IdHide('siteID');
		IdHide('clear_Message_table');
	}
}

function changeODBC(){
	document.form_a.login_opt_rb[0].checked = true;
	document.form_a.radius_selection[0].checked = true;
	document.form_a.odbc_selection[0].checked = true;
	commonChange_RADIUS_ODBC();
	// enable scenario2
	if(isIdExist('scenario2')){
		document.form_a.scenario2.checked = false;
		IdShow('scenario2');
	}
}

/*
	JavaScript Function signup_filter()
*/

function signup_filter(value, nomac){
	if(value == 0){
		document.form_a.self_signup_period.disabled=false;
	}else{
		document.form_a.self_signup_period.disabled=true;
		document.form_a.self_signup_period.value='';
	}
}

function toggleEditSecretFrame() {
	var manageBtn = document.getElementById('manageSecret');
	var iframeObj = document.getElementById('editSecretFrame');
	var iframeRow = document.getElementById('editSecretRow');
	if (manageBtn.value=="Hide") {
		iframeObj.src = "about:blank";
		iframeObj.style.display = 'none';
		iframeRow.style.display = 'none';
		manageBtn.value = "Manage";
	} else {
		iframeObj.src = "manageGroup.php";
		iframeObj.style.display = '';
		iframeRow.style.display = '';
		manageBtn.value = "Hide";
	}
}

function scenario2_enable() {
	var displayString;
	var arrControl = ['clear_Message_table']; //it control visibility of 'clear_Message_table'
	var arrControl2 = ['siteID']; //it control visibility of 'siteID'
	if (document.form_a.scenario2.checked) {
		displayString = '';
		document.form_a.clearMessage.disabled = false;
		document.form_a.siteID.disabled = false;

	} else {
		displayString = 'none';
		document.form_a.clearMessage.disabled = true;
		document.form_a.siteID.disabled = true;

	}
	for (var v in arrControl) { //adjust visibility
		document.getElementById(arrControl[v]).style.display = displayString;
		document.getElementById(arrControl2[v]).style.display = displayString;
	}

	document.form_a.clearMessage.checked = false;
}

function showUserLog() {
	oShowLogWindow = 		window.open('userlog.php','log','toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1');
	oShowLogWindow.focus();
}

function changeUseTwoRadius(t){

	if (t==1){
		IdShow('radius_ServerIP_2');
		IdShow('second_radius_line2');
		IdShow('radius_AuthPort_2');
		IdShow('second_radius_line3');
		IdShow('radius_AccPort_2');
		IdShow('second_radius_line4');
		IdShow('radius_SharedSecret_2');
		IdShow('second_radius_line5');
		IdShow('second_radius_line6');
		IdShow('radius_FSVendorID_2');
		IdShow('second_radius_line7');
		IdShow('radius_NAS_IDENTIFIER_2');
		IdShow('second_radius_line8');
		IdShow('radius_NAS_IP_ADDRESS_2');
		// IdShow('second_radius_line9');
	}
	else{
		IdHide('radius_ServerIP_2');
		IdHide('second_radius_line2');
		IdHide('radius_AuthPort_2');
		IdHide('second_radius_line3');
		IdHide('radius_AccPort_2');
		IdHide('second_radius_line4');
		IdHide('radius_SharedSecret_2');
		IdHide('second_radius_line5');
		IdHide('second_radius_line6');
		IdHide('radius_FSVendorID_2');
		IdHide('second_radius_line7');
		IdHide('radius_NAS_IDENTIFIER_2');
		IdHide('second_radius_line8');
		IdHide('radius_NAS_IP_ADDRESS_2');
		// IdHide('second_radius_line9');
	}
}

var qSCXmlHttp;

function queryAvailableScratchCode(){
	qSCXmlHttp=GetXmlHttpObject()
	if (qSCXmlHttp==null)
	{
		alert ("Browser does not support HTTP Request")
		return
	}
	var url="responseData.php"
	url=url+"?response_case=1"
	url=url+"&sid="+Math.random() // Adds a random number to prevent the server from using a cached file
	qSCXmlHttp.onreadystatechange=querySCStateChanged // function will process the response from a server
	qSCXmlHttp.open("GET",url,true)
	qSCXmlHttp.send(null)
}

function querySCStateChanged()
{
// readyState
// State	Description
// 0	The request is not initialized
// 1	The request has been set up
// 2	The request has been sent
// 3	The request is in process
// 4	The request is complete
	if (qSCXmlHttp.readyState==4 || qSCXmlHttp.readyState=="complete")
	{
		xmlDoc=qSCXmlHttp.responseXML;
		// alert (qSCXmlHttp.responseText); // all xml content

		if (xmlDoc.getElementsByTagName("responseCase")[0].childNodes[0].nodeValue == 1){
			if (xmlDoc.getElementsByTagName("availableSCMsg")[0].childNodes[0].nodeValue != null){
				document.getElementById("availableSC").innerHTML= xmlDoc.getElementsByTagName("availableSCMsg")[0].childNodes[0].nodeValue;
			}
		}
	}
}

function GetXmlHttpObject()
{
	var objXMLHttp=null
	if (window.XMLHttpRequest)
	{
	objXMLHttp=new XMLHttpRequest()
	}
	else if (window.ActiveXObject)
	{
	objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP")
	}
	return objXMLHttp
}

function changeSelfSignMode(m){
	//\\ 20130415 - Add Self Sign-Up Email Confirmation Display
	//\\ 20130514 - Free Access contain redirection option and display plan for scratch code with sms sign-up
	//var signupList = ['sign_up_credit','sign_up_plan','sign_up_scplan','sign_up_auto_login','sign_up_option','sign_up_filter','sign_up_period','sign_up_emc'];
	var signupList = ['sign_up_credit','sign_up_plan','sign_up_auto_login','sign_up_option','sign_up_filter','sign_up_period','sign_up_emc'];
	var freeAccList = ['FAPlan','fa_option','fa_rtime','fa_rmin'];
	var esmsList = ['SmtpDomain','SmtpPort','fromEmail','smsgateway','current_scratchcode','numOfAvailabeSC','store_mobile_in_extra'];

	if (m == 0 || m ==2){ // show sign up form
		for(var sul in signupList){
			document.getElementById(signupList[sul]).style.display = '';
			document.getElementById('sign_up_line'+sul).style.display = '';
		}
		if (document.form_a.self_sign_up_option){
			if (document.form_a.self_sign_up_option.value == 3) // Fixed URL
				IdShow('self_sign_up_redirect');
		}
		if (document.form_a.emconfirm_check){
			if(document.form_a.emconfirm_check[0].checked)
				emc_enabling();
		}
	}
	else {
		for(var sul in signupList){
			document.getElementById(signupList[sul]).style.display = 'none';
			document.getElementById('sign_up_line'+sul).style.display = 'none';
		}
		IdHide('self_sign_up_redirect');
		emc_disabling();
	}
	if (m == 1 || m == 2){ // show free access
		for(var fal in freeAccList){
			document.getElementById(freeAccList[fal]).style.display = '';
			document.getElementById('fa_line'+fal).style.display = '';
		}
	}
	else {
		for(var fal in freeAccList){
			document.getElementById(freeAccList[fal]).style.display = 'none';
			document.getElementById('fa_line'+fal).style.display = 'none';
		}
	}
	document.getElementById('fa_lineF').style.display = (m == 2)?'':'none';

	if (m == 3){ // show esms
		for(var esl in esmsList){
			document.getElementById(esmsList[esl]).style.display = '';
			document.getElementById('esms_line'+esl).style.display = '';
		}
		IdShow('sign_up_line2');
		queryAvailableScratchCode();
	}
	else{
		for(var esl in esmsList){
			document.getElementById(esmsList[esl]).style.display = 'none';
			document.getElementById('esms_line'+esl).style.display = 'none';
		}
	}
}

function select_multiple(){
	if ( document.form_a.multiple_logins.checked == true )
	{
		document.form_a.multiple_login_max_limit.disabled = false;
	}
	else{
		document.form_a.multiple_login_max_limit.value = '';
		document.form_a.multiple_login_max_limit.disabled = true;
	}
}

function emc_enabling(){
	emc_change_display('');
	emc_sauth_enable();
}

function emc_disabling(){
	emc_change_display('none');
	emc_sauth_disable();
}

function emc_change_display(display){
	var i = 0;
	var emcRow;
	var emcLine;
	while( true ){
		emcRow	= document.getElementById('emc_row'+i);
		emcLine	= document.getElementById('emc_line'+i);
		if(emcRow && emcLine){
			emcRow.style.display	= display;
			emcLine.style.display	= display;
		}
		else
			break;
		i++;
	}
}

function emc_sauth_enable(){
	if(document.form_a.emc_sauth.checked){
		document.form_a.emc_saname.disabled	= false;
		document.form_a.emc_sapwd.disabled	= false;
	}
	else
		emc_sauth_disable();
	document.form_a.emc_sauth.value = document.form_a.emc_sauth.checked;
}

function emc_sauth_disable(){
	document.form_a.emc_saname.disabled	= true;
	document.form_a.emc_sapwd.disabled	= true;
}

function eml_change_display(display){
	var i = 0;
	var emcRow;
	var emcLine;
	while( true ){
		emcRow	= document.getElementById('eml_row'+i);
		emcLine	= document.getElementById('eml_line'+i);
		if(emcRow && emcLine){
			emcRow.style.display	= display;
			emcLine.style.display	= display;
		}
		else
			break;
		i++;
	}
}

function eml_sauth_enable(){
	if(document.form_a.eml_sauth.checked){
		document.form_a.eml_saname.disabled	= false;
		document.form_a.eml_sapwd.disabled	= false;
	}
	else
		eml_sauth_disable();
	document.form_a.eml_sauth.value = document.form_a.eml_sauth.checked;
}

function eml_sauth_disable(){
	document.form_a.eml_saname.disabled	= true;
	document.form_a.eml_sapwd.disabled	= true;
}

function signup_redirection(){
	if( document.form_a.self_sign_up_auto_login.checked == true ){
		document.form_a.self_sign_up_auto_login.value = 1;
		document.form_a.self_sign_up_option.value = 0;
		document.form_a.self_sign_up_option.disabled = true;
		onSelectOption(document.form_a.self_sign_up_option);
	}
	else{
		document.form_a.self_sign_up_option.disabled = false;
		document.form_a.self_sign_up_auto_login.value = 0;
	}
}