<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<?php
include_once '..\\authserv\\common_functions.php';
include_once "..\\local\\transaction.php";
$pending_release=false;

$settingobj 	= new COM("FSCONFIG.Cfgmgr") or die("authorizeNet_callback.php FSCONFIG.Cfgmgr Object cannot be created!");
$id				=$settingobj->getKey( "aNet_id", "AuthorizeNet");
$hash			=$settingobj->getKey( "aNet_hash", "AuthorizeNet");
$return			=$settingobj->getKey( "ppal_return", "paypal");
$cancel_return	=$settingobj->getKey( "ppal_cancel_return", "paypal");
//\\ 20130726 >>> Auto Login Option
$alogin			=$settingobj->getKey( "auto_login", "creditcard");
//$settingobj->Release();
$settingobj		=null;

//copy $_POST for validation
foreach ($_POST as $key => $val)
	$postfields[strtolower($key)] = $val;

$myTxn = new transaction();

if (!isset($_POST["x_invoice_num"])) {
	$log = date('l dS \of F Y h:i:s A')." - undefine invoice number.\r\n\r\n";
	$myTxn->writeLog("..\\log\\txn.log", $log);
	die;
}

// running time (for calculate prorata use)
$current_time = time();
    

$check_hash = null;
if ( isset($_POST["x_amount"]) && isset($_POST["x_trans_id"]) )
	$check_hash=strtoupper(md5($hash . $id . $_POST["x_trans_id"] . $_POST["x_amount"]));

if ( isset($_POST["x_MD5_Hash"]) && $check_hash == strtoupper($_POST["x_MD5_Hash"]) )
{
	$valid_txn = true;

	if ( $myTxn->isexist_transaction("invoice", $_POST["x_invoice_num"]) != true ) {
		$log = date('l dS \of F Y h:i:s A')." - invoice number not found\r\n";
		$valid_txn = false;
	}
  
	if (isset($_POST["postTime"]))
		$post_time = $_POST["postTime"];
	
	if (isset($post_time) && $post_time >0){
		$withinDay = false;
		$curr_localtime  = localtime($current_time, true);
		$post_localtime  = localtime($post_time, true);
		// compare the running time within a day
		if ($curr_localtime['tm_year'] == $post_localtime['tm_year'] && $curr_localtime['tm_yday'] == $post_localtime['tm_yday']){ // compare year and Day of the year 
			$withinDay = true;
		}
		if ($withinDay == false) { // not at the same day
			$log .= date('l dS \of F Y h:i:s A')." - Transaction (between submit and notification) not at the same day, it will affect calculate price with prorata\r\n";
			$valid_txn = false;
		}
	}

	if ( $valid_txn == false ) {
		foreach ( $_POST as $key => $val )
			$log .= "$key = $val\r\n";
		$log .= "\r\n";
		$myTxn->writeLog("..\\log\\txn.log", $log);
	}
}
else
{ 
	$log = date('l dS \of F Y h:i:s A')." - Invalid MD5_HASH!\r\n";
	foreach ( $_POST as $key => $val )
		$log .= "$key = $val\r\n";
	$log .= "\r\n";  
	$myTxn->writeLog("..\\log\\txn.log", $log);
	die;
}

if ($valid_txn == true)
{
  $txn_fields=array();

	// 20090708 - Add field type array
	$bFieldNumeric = array();

  if (isset($_POST["x_invoice_num"]))
    $invoice_no = $_POST["x_invoice_num"];

  if (isset($_POST["username"]))
    $username = $_POST["username"];

  if (isset($_POST["plan"]))
    $plan = $_POST["plan"];
	
  if (isset($_POST["postTime"]))
    $post_time = $_POST["postTime"];

	if (isset($_POST["x_response_reason_text"])) {
		$txn_fields['pay_status'] = $_POST["x_response_reason_text"];
		$bFieldNumeric['pay_status'] = 0;
	}
  
  //if (isset($_POST["transTime"]))
  $txn_fields['pay_date'] = date('l dS \of F Y h:i:s A');
	$bFieldNumeric['pay_date'] = 0;

	if (isset($_POST["x_trans_id"])) {
		$txn_fields['txn_id'] = $_POST["x_trans_id"];
		$bFieldNumeric['txn_id'] = 0;
	}
  
	if (isset($_POST["x_method"])) {
		$txn_fields['pay_type'] = $_POST["x_method"];
		$bFieldNumeric['pay_type'] = 0;
	}
  
	if (isset($_POST["x_first_name"])) {
		$txn_fields['first_name'] = $_POST["x_first_name"];
		$bFieldNumeric['first_name'] = 0;
	}
  
	if (isset($_POST["x_last_name"])) {
		$txn_fields['last_name'] = $_POST["x_last_name"];
		$bFieldNumeric['last_name'] = 0;
	}
  
	if (isset($_POST["x_email"])) {
		$txn_fields['payeremail'] = $_POST["x_email"];
		$bFieldNumeric['payeremail'] = 0;
	}

	if (isset($_POST["x_cust_id"])) {
		$txn_fields['payer_id'] = $_POST["x_cust_id"];
		$bFieldNumeric['payer_id'] = 0;
	}
  
  //handle your own postfields


    // 20071115 - Handle tax and shipping postfields issue
    // 20071114 - Set error flag
  //update transaction
    $payErrFlag = 0;
    $pureGross = 0;
  if (count($txn_fields) > 0){
	  $txn_fields['pay_status'] = strtolower($_POST["x_response_code"]) == "1" ? "Completed" : "Failed";
		$bFieldNumeric['pay_status'] = 0;

	// 20070807 - Validate if transacted amount matches with the plan
	if (isset($_POST["x_description"]) && isset($_POST["x_amount"])) {
	    if (isset($_POST["x_tax"])) {
		$tmpXTax = $_POST["x_tax"];
		$tok = strtok($tmpXTax, "<|>");
		$tmpTax = $tok;
		while ($tok != false) {
		    $tok = strtok("<|>");
		    if ($tok != false) {
			$tmpTax = $tok;
		    }
		}
	    }
	    if (is_numeric($tmpTax)) {
		$pureGross = $_POST["x_amount"] - $tmpTax;
	    } else {
		$pureGross = $_POST["x_amount"];
	    }
		
		if (isset($post_time) && $post_time > 0){ // >0: using item attribute and set monthly pass
			$cart_item_arr = null;
			$cart_item_arr = $myTxn->get_cart_item_arr_by_desc($_POST["x_description"]);
			if($cart_item_arr!=null){
				$base_time = 0;
				$u_expire_month = 0;

				if ($username != ""){
					$u_expire_month = fs_expire_month_utime($username); // get user expire month (unix timestamp format)
				}

				if ( $current_time > $u_expire_month || $u_expire_month == false) // emonth eyear field is null or expired
					$base_time = $current_time;
				else
					$base_time = $u_expire_month;
					
				if ($cart_item_arr['useMethod'] == 1&& isset($cart_item_arr['item_attr']['topup']) && $cart_item_arr['item_attr']['topup'] >0){ // uisng item attribute and set monthly pass
					// calculate price with prorata
					$p_price = fs_cal_price_with_prorata($base_time, $cart_item_arr["amount"], $cart_item_arr["item_attr"]["topup"], 2);
					
					$pureGross = $pureGross + ($cart_item_arr["amount"] - $p_price);
				}
				else{
				}
			}
		}
		
	    $vRC = $myTxn->ValidateCart($_POST["x_description"], $pureGross);
	    if ($vRC == -1) {
		$txn_fields['pay_status'] = "Failed";
		$payErrFlag = -2;
	    } elseif ($vRC == -2) {
		$txn_fields['pay_status'] = "Failed";
		$payErrFlag = -3;
	    }
	} else {
	    $txn_fields['pay_status'] = "Failed";
	    $payErrFlag = -1;
	}
	//$log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - ".$_POST["x_description"]." ".$_POST["x_amount"]." ".$txn_fields["pay_status"]."\r\n";
	//$myTxn->writeLog("..\\log\\txn.log", $log);

	  $myTxn->update_transaction($invoice_no, $txn_fields, $bFieldNumeric);
	}

    // 20071116 - Enhance log messages
    // 20070807 - Add condition and log message
    //update user credit
    if (isset($_POST["x_response_code"])) {
	if (strtolower($_POST["x_response_code"]) == "1" && strcmp(strtolower($txn_fields["pay_status"]), "completed") == 0) {
	
		if (!isset($plan) || $plan =='')
			$myTxn->update_usr_table_by_item_attr($username, $_POST["x_description"], $post_time);
		else
			$myTxn->update_usr_table($username, $plan);
			
	    $log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - $username account has been updated!\r\n";
	} else {
	    if ($payErrFlag == -1) {
		$log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to insufficient payment information!\r\n";
	    } elseif ($payErrFlag == -2) {
		$log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to chosen shopping item does not exist!\r\n";
	    } elseif ($payErrFlag == -3) {
		$log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to payment amount mismatch!\r\n";
	    } else {
		$log = "Authorize.Net : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account!\r\n";
	    }

	    // 20071114 - Print all postfields for investigation
	    foreach ($_POST as $key => $val) {
		$log .= "$key = $val\r\n";
	    }
	}
	$myTxn->writeLog("..\\log\\txn.log", $log);
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link rel="stylesheet" href="local.css">
</head>
<body onLoad="redirect()">
<?php
if ( isset($_POST["x_response_code"]) && $_POST["x_response_code"] == "1" )
{
	if($alogin == "true")		//automatically login 
		if($myTxn->checkUserLogin())	// logged in
			$redirect_url	=FetchUrlPath().'redirect.php?loginPage=2';
		else
			$redirect_url	=fs_urlhead()."login_form.php?code=".$_POST['code'];	//	not logged in
	else
		$redirect_url		= $return;	// not automatically login 
  echo "<p>Transaction succeed!<br>";
}
else
{
	$redirect_url=$cancel_return;
	echo "<p>Transaction failed!<br>";
	echo "Please contact the help desk!";
}
echo "<p>You will be redirected shortly.<br>";
echo "<a href='".$redirect_url."'>Click here to proceed</a>";
?>
</body>
<script type="text/javascript">
function redirect() {
	setTimeout("location.href=<?php echo "'".$redirect_url."'"; ?>", 1);
}
</script>
</html>
