<?php
	// 20090518 - Remove Start, add Premium
	// version control
	$disabled = '';
	$version_msg = '';
	$version_star = '';
	$disabled_prm = '';
	$version_star_prm = '';

	if (substr_count(strtolower($version), "standard") > 0 || substr_count(strtolower($version), 'premium') > 0) {
		if (substr_count(strtolower($version), 'standard') > 0)
		{
			$disabled = ' disabled';
			$version_star = '<span class="star">* </span>';
		}
		$disabled_prm = ' disabled';
		$version_star_prm = '<span class="star">* </span>';

		if (substr_count(strtolower($version),"donation")>0)
			$version = substr($version,0,strlen($version)-9);
		$version_msg = '* This feature is not available in '. ucwords($version) .' Edition.';
	}

    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');

	gen_head();
	
    echo '<script type="text/javascript" src="./javascript/dispatcher.js"></script>'."\n";
    echo '<form action="settingok.php" name="form_d" method="post" onSubmit="bte_prepare_data();return validate_d()">'."\n";//

    gen_license_warning($version_msg);
	
	//\\ 20130128 >>> 350 - Change FirstSpot Dispatcher ( Service ) setting to auto start if setting is enabled
	$isAutoOn = array('',' checked','');
	$serviceSetting = array('null','null');
	$value = $settingobj->getDSStartType();
	$serviceSetting = explode("-",$value);
	switch(strtolower($serviceSetting[0])){
		case "auto":
			$isAutoOn[0] = ' checked';
			$isAutoOn[1] = '';
			break;
		case "disa":
			$isAutoOn[2] = ' (Service Disabled)';
			break;
		case "fail":
			switch(intval($serviceSetting[1])){
				case 0:
					$isAutoOn[2] = ' (Fail Getting Data)';
					break;
				case 1:
					$isAutoOn[2] = ' (Fail Connection to Service)';
					break;
				default :
					$isAutoOn[2] = ' (Cannot Read Service Configuration['.$serviceSetting[1].'])';
			}
	}
	$input = '<input type="radio" name="fsAutoOn" value="on"'.$isAutoOn[0].'/>'.get_cm_var('setcfg_dispatcher_auto_start_fs_on').
			'<input type="radio" name="fsAutoOn" value="off"'.$isAutoOn[1].'/>'.get_cm_var('setcfg_dispatcher_auto_start_fs_off').
			$isAutoOn[2];
	

	gen_line(get_cm_var('setcfg_dispatcher_auto_start_fs'), $input);
	gen_sep();
	gen_sep();

    $value=$settingobj->getKey('port', 'gateway');
    $input='<input class="longtextbox" type="text" name="port" maxlength="5" value="'.$value.'" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_dispatcher_service_listen_port'), $input);

    gen_sep();

    $value=$settingobj->getKey('idle_timeout', 'gateway');
    $input='<input class="longtextbox" type="text" name="idle_timeout" maxlength="5" value="'.$value.'" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_dispatcher_idle_timeout'), $input);

    gen_sep();

    $value=$settingobj->getKey('sessionlimit', 'gateway');
    $input='<input class="longtextbox" type="text" name="sessionlimit" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line($version_star.get_cm_var('setcfg_dispatcher_session_timelimit'), $input);
    
    gen_sep();
    
    $value=$settingobj->getKey('max_conc_user', 'gateway');
    $input='<input class="longtextbox" type="text" name="max_conc_user" maxlength="5" value="'.$value.'" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_dispatcher_concurrent_userlimit'), $input);

    gen_sep();
    gen_sep();

    $gateway_IP=$settingobj->getKey('gateway_IP', 'gateway');
    $gateway_fields=split("\.", $gateway_IP);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="gateway_IP'.$i.'" value='.$gateway_fields[$i]." maxlength=\"3\" onKeyPress=\"return numbersonly(this,event,'gateway_IP".($i+1)."')\" onfocus=\"this.select()\">. ";
        $i++;
    }
    $input .= '<input class="IPtextbox" type="text" name="gateway_IP'.$i.'" value='.$gateway_fields[$i].' maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_line(get_cm_var('setcfg_dispatcher_private_interface_IP'), $input);

    gen_sep();

    $subnet_mask=$settingobj->getKey('subnet_mask', 'gateway');
    $subnet_fields=split("\.", $subnet_mask);
    $i=0; $input='';

	// 20090612 - Fix maxmimum size at class B
	while ($i < 2) {
		if ($subnet_fields[$i] != '255') {
			$subnet_fields[$i] = '255';
		}
		$input .= '<input type="hidden" name="subnet_mask'.$i.'" value='.$subnet_fields[$i].'>'.$subnet_fields[$i].' . ';
		$i++;
	}

    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="subnet_mask'.$i.'" value='.$subnet_fields[$i]." maxlength=\"3\" onKeyPress=\"return numbersonly(this,event,'subnet_mask".($i+1)."')\" onfocus=\"this.select()\">. ";
        $i++;
    } 
    $input .= '<input class="IPtextbox" type="text" name="subnet_mask'.$i.'" value='.$subnet_fields[$i].' maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_line(get_cm_var('setcfg_dispatcher_subnet_mask'), $input);

    gen_sep();

    if($settingobj->getKey('netbios', 'gateway')=='0'){
        $input = '<input type="radio" '.$disabled.' name="netbios" value="0" checked>Enabled
            <input type="radio" '.$disabled.' name="netbios" value="1" >Disabled<br>'; 
    } else {
        $input = '<input type="radio" '.$disabled.' name="netbios" value="0">Enabled
            <input type="radio" '.$disabled.' name="netbios" value="1" checked>Disabled<br>';
    }
    gen_line($version_star.get_cm_var('setcfg_dispatcher_client_isolation'), $input);

    gen_sep();    
    
	
    gen_line(get_cm_var('setcfg_dispatcher_public_interface_IP'), get_cm_var('setcfg_dispatcher_public_interface_IP_remainer'));
    
	gen_sep();
	
	// forword to proxy	
	if (!isset($forwordToProxy))
		$forwordToProxy = $settingobj->getKey('forwordToProxy', 'gateway');
		
	if ($forwordToProxy == 1){
		$defaultFP = '';
		$input= '<input type="radio" name="forwordToProxy" value="1" onclick="changeFP(this.value)" checked >'.get_cm_var('setcfg_dispatcher_forword_proxy_opt_yes').
				'<input type="radio" name="forwordToProxy" value="0" onclick="changeFP(this.value)" >'.get_cm_var('setcfg_dispatcher_forword_proxy_opt_no');
	}
	else{
		$defaultFP = 'none';
		$input= '<input type="radio" name="forwordToProxy" value="1" onclick="changeFP(this.value)" >'.get_cm_var('setcfg_dispatcher_forword_proxy_opt_yes').
				'<input type="radio" name="forwordToProxy" value="0" onclick="changeFP(this.value)" checked >'.get_cm_var('setcfg_dispatcher_forword_proxy_opt_no');
	}
	gen_line(get_cm_var('setcfg_dispatcher_forword_proxy'), $input);
	
	gen_invisible_sep('fp_line1', $defaultFP);
	if (!isset($forword_proxyAddress))
		$forword_proxyAddress = $settingobj->getKey("forword_proxyAddress", "gateway");
    $input = '<input class="longtextbox" type="text" name="forword_proxyAddress" value="'.$forword_proxyAddress.'" onfocus="this.select()">';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_forword_proxy_address'), $input, 'forword_proxyAddress', $defaultFP);
	
	gen_invisible_sep('fp_line2', $defaultFP);
	if (!isset($forword_proxyPort))
		$forword_proxyPort = $settingobj->getKey("forword_proxyPort", "gateway");
    $input = '<input class="longtextbox" type="text" name="forword_proxyPort" value="'.$forword_proxyPort.'" maxlength="5" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_forword_proxy_port'), $input, 'forword_proxyPort', $defaultFP);

	gen_sep();
	
	// dual internet / dual WAN
	$defaultDI="";
	$NAT_enabled = $settingobj->getKey('Enable', 'NAT');
	$natModule = $settingobj->getKey('module', 'NAT');
	
	$sub_input = "";
	if ($NAT_enabled==1 && $natModule == 1) {
		$sub_input = '<input type="hidden" name="showUseNatWarning" value="0">';
	}
	else{
		// need show the warning message when using Dual Internet Connection
		$sub_input = '<input type="hidden" name="showUseNatWarning" value="1">';
	}
	
	if (!isset($dualInternetMode))
		$dualInternetMode = $settingobj->getKey('dualInternetMode', 'gateway');
		
	if (strcasecmp($dualInternetMode,'on')==0){
		$defaultDI = '';
		$input= $sub_input.'<input type="radio" name="dualInternetMode" value="1" onclick="changeDI(this.value)" checked '.$disabled_prm.'>'.get_cm_var('setcfg_dispatcher_dual_internet_opt_yes').
				'<input type="radio" name="dualInternetMode" value="0" onclick="changeDI(this.value)" '.$disabled_prm.'>'.get_cm_var('setcfg_dispatcher_dual_internet_opt_no');
	}
	else{
		$defaultDI = 'none';
		$input= $sub_input.'<input type="radio" name="dualInternetMode" value="1" onclick="changeDI(this.value)" '.$disabled_prm.'>'.get_cm_var('setcfg_dispatcher_dual_internet_opt_yes').
				'<input type="radio" name="dualInternetMode" value="0" onclick="changeDI(this.value)" checked '.$disabled_prm.'>'.get_cm_var('setcfg_dispatcher_dual_internet_opt_no');
	}
	gen_line($version_star_prm.get_cm_var('setcfg_dispatcher_dual_internet'), $input);
	
	gen_invisible_sep('di_line1', $defaultDI);
	if (!isset($publicNIC2))
		$publicNIC2 = $settingobj->getKey("publicNIC2", "gateway");
		
	if (file_exists('allConnNameResult.php'))
		include 'allConnNameResult.php';
	else{
		$cmd = realpath("..\\");
		$cmd .= "\\dispatcher\\fsDrv.exe -q";
		$settingobj->runCommand($cmd);
		
		// try again
		if (file_exists('allConnNameResult.php'))
			include 'allConnNameResult.php';
	}
		
	$input = '<select name="publicNIC2" style="width:230px; font-family:sans-serif,Tahoma; font-size:9pt;" onchange= "" '.$disabled.'>';
	
	$opt_input = '';
	
	$isMatch = false;
	
	$publicNIC = $settingobj->getKey('publicNIC', 'gateway');
	$privateNIC = $settingobj->getKey('privateNIC', 'gateway');
	
	if (isset($connArr)){
		foreach($connArr as $val){
			if (strcmp($val, $publicNIC) == 0 || strcmp($val, $privateNIC) == 0){
				// skip to show
			}
			else if (strcmp($val, $publicNIC2) == 0){
				$opt_input .= '<option value="'.$val.'" selected="selected">'.$val.'</option>';
				$isMatch = true;
			}
			else{
				$opt_input .= '<option value="'.$val.'">'.$val.'</option>';
			}
		}
	}
	
	if ($isMatch){
		$opt_input = '<option value="">Not selected</option>'.$opt_input;
	}
	else{
		$opt_input = '<option value="" selected="selected">Not selected</option>'.$opt_input;
	}
	
	$input .= $opt_input.'</select>';
	
    gen_invisible_line2($version_star.get_cm_var('setcfg_dispatcher_dual_internet_nic'), $input, 'publicNIC2', $defaultDI);
	
	gen_invisible_sep('di_line2', $defaultDI);
    $input = '<input type="hidden" name="refresh_conn_name_list" value="false"><input type="submit" value="'.get_cm_var('setcfg_dispatcher_dual_internet_refresh_btn').'" class="graphicBtn" onclick="setRefreshList()" '.$disabled.'>';
	
    gen_invisible_line2($version_star.get_cm_var('setcfg_dispatcher_dual_internet_refresh_title'), $input, 'refresh_conn_name_list', $defaultDI);


    /*
    // [sphl] 20070216 - moved to Instant keywords       
    $dns_suffix=$settingobj->getKey('dns_suffix', 'gateway');
    //maxlength="5"
    $input='<input class="longtextbox" type="text" name="dns_suffix" value="'.$dns_suffix.'">';
    gen_line(get_cm_var('setcfg_dispatcher_dns_suffix'), $input);
    gen_sep();
	*/	

    gen_sep();
    gen_sep();

    // bandwidth throttle settings (overall)
    $bt_mode=$settingobj->getKey('bt_mode', 'bw_throttle');  
	
    if($bt_mode<0||$bt_mode>4)
        $bt_mode=0;

    // initialization
    for($i=0;$i<=4;$i++) {
        $var="checkedStr$i";
        $$var='';
    }

    $var_c="checkedStr$bt_mode";
    $$var_c='checked';

    $bt_num=$settingobj->getKey('bt_ul_limit', 'bw_throttle');
    $bt_num_down=$settingobj->getKey( 'bt_dl_limit', 'bw_throttle');

    if($bt_mode==0) {
        $bt_num = '';
        $bt_num_down = '';
    }

    if($bt_mode==4) {
        $disable = '';
    } else {
        $disable = ' disabled';
    }

    $input = '<input type="radio" name="bt_mode" value="4" '.$checkedStr4.' onclick="enable_textbox()">&nbsp;&nbsp;&nbsp;&nbsp;
        Upload: <input type="text" name="bt_num" maxlength="10" value="'. $bt_num .'" '.$disable.' class="shorttextbox" style="width:100px;" onKeyPress="return numbersonly(this,event)"><br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        Download: <input type="text" name="bt_num_down" maxlength="10" value="'. $bt_num_down .'" '.$disable.' class="shorttextbox" style="width:100px;" onKeyPress="return numbersonly(this,event)"><br>
        <input type="radio" name="bt_mode" value="1" '.$checkedStr1.' onclick="disable_textbox()">Low (~'.$bt_num_low.' KBytes/s)<br>
        <input type="radio" name="bt_mode" value="2" '.$checkedStr2.' onclick="disable_textbox()">Medium (~'.$bt_num_medium.' KBytes/s)<br>
        <input type="radio" name="bt_mode" value="3" '.$checkedStr3.' onclick="disable_textbox()">High (~'.$bt_num_high.' KBytes/s)<br>
        <input type="radio" name="bt_mode" value="0" '.$checkedStr0.' onclick="disable_textbox()">No throttling<br>';

    gen_line(get_cm_var('setcfg_dispatcher_bt'), $input);

    gen_sep();

	$bt_dynamic = strtolower($settingobj->getKey( 'bt_dynamic', 'bw_throttle'));
	$bt_dynamic = empty($bt_dynamic) ? 'off' : $bt_dynamic;
	$bt_dynamic_check = array('on' => '', 'off' => '');
	$bt_dynamic_check[$bt_dynamic] = 'checked="checked"';
    gen_line(get_cm_var('setcfg_dispatcher_dynamic_bt'), '<input type="radio" name="bt_dynamic" value="on" onclick="changeDynamicBT();" '.$bt_dynamic_check['on'].' >'.get_cm_var('setcfg_dispatcher_dynamic_bt_enabled').'
  	  <input type="radio" name="bt_dynamic" value="off" onclick="changeDynamicBT();" '.$bt_dynamic_check['off'].'>' . get_cm_var('setcfg_dispatcher_dynamic_bt_disabled'));
	  
	if (strcasecmp($bt_dynamic,'on')==0)
		$displayBTExceedLimit = '';
	else
		$displayBTExceedLimit = 'none';
	
	gen_invisible_sep('btExceedLimit_line', $displayBTExceedLimit);
	$bt_ul_exceed_limit=$settingobj->getKey('bt_ul_exceed_limit', 'bw_throttle');
    $input='<input class="shorttextbox" type="text" name="bt_ul_exceed_limit" maxlength="5" value="'.$bt_ul_exceed_limit.'" onKeyPress="return numbersonly(this,event)" onfocus="this.select()"> Kbits/s';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_bt_ul_exceed_limit'), $input, 'btExceedULLimit', $displayBTExceedLimit);
	
	gen_invisible_sep('btExceedLimit_line2', $displayBTExceedLimit);	
	$bt_dl_exceed_limit=$settingobj->getKey('bt_dl_exceed_limit', 'bw_throttle');
    $input='<input class="shorttextbox" type="text" name="bt_dl_exceed_limit" maxlength="5" value="'.$bt_dl_exceed_limit.'" onKeyPress="return numbersonly(this,event)" onfocus="this.select()"> Kbits/s';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_bt_dl_exceed_limit'), $input, 'btExceedDLLimit', $displayBTExceedLimit);
	
	//\\ 20130321 >>> 347 - Configuration of Bandwidth Throttling Exception List
	gen_sep();
	
	$optionList = '';
	$optionPath = '';
	$counter = 0;
	while(true){
		$optionPath = $settingobj->getKey('bwt_excepted_ip_'.$counter,'gateway');
		if($optionPath=='')
			break;
		$optionList .= '<option value="'.$optionPath.'">'.$optionPath.'</option>';
		$counter++;
	}
	$counter = 0;
	while(true){
		$optionPath = $settingobj->getKey('bwt_excepted_dn_'.$counter,'gateway');
		if($optionPath=='')
			break;
		$optionList .= '<option value="'.$optionPath.'">'.$optionPath.'</option>';
		$counter++;
	}
	
	$input=get_cm_var('setcfg_dispatcher_bwt_exception_hints').' <input type="text" name="bte_data_content" maxlength="255" style="width:74%"/><br/> <input type="button" name="bte_add_data" class="graphicBtn" style="width:49%" value="'.get_cm_var('setcfg_dispatcher_bwt_exception_add').'" onclick="javascript:bte_btn_process(1)"/> <input type="button" name="bte_del_data" class="graphicBtn" style="width:49%" value="'.get_cm_var('setcfg_dispatcher_bwt_exception_del').'" onclick="javascript:bte_btn_process(3)"/><br/><select size="6" multiple="" name="bte_list" style="width:100%">'.$optionList.'</select><input name="bte_path_array" type="hidden"/>';
	gen_line(get_cm_var('setcfg_dispatcher_bwt_exception'),$input);

    gen_sep();
    gen_sep();

    //****************************************************************************************************
    // Global data transfer setting
    //****************************************************************************************************
    $bwcount_dl = $settingobj->getKey('bwcount_dl', 'DataTransfer');
    $bwcount_ul = $settingobj->getKey('bwcount_ul', 'DataTransfer');

    $bwdl_quota_value = '';
    $bwul_quota_value = '';
    if( $bwcount_dl>0 ) {
        $bwdl_off_checked = '';
        $bwdl_on_checked = 'checked';
        $showQuotaDL = '';
        if( $bwcount_dl == 2 ) {
            $bwdl_quota_checkbox_checked = 'checked';
            $bwdl_quota_disable = '';
            $bwdl_quota_value = $settingobj->getKey('bwquota_dl', 'DataTransfer');
        } else {
            $bwdl_quota_checkbox_checked = '';
            $bwdl_quota_disable = 'disabled';
            $bwdl_quota_value = '';
        }
    } else {
        $bwdl_quota_checkbox_checked = '';
        $bwdl_off_checked = 'checked';
        $bwdl_on_checked = '';
        $showQuotaDL = 'none';
        $bwdl_quota_disable = 'disabled';
    }

    if( $bwcount_ul>0 ) {
        $bwul_off_checked = '';
        $bwul_on_checked = 'checked';
        $showQuotaUL = '';
        if( $bwcount_ul == 2 ) {
            $bwul_quota_checkbox_checked = 'checked';
            $bwul_quota_disable = '';
            $bwul_quota_value = $settingobj->getKey('bwquota_ul', 'DataTransfer');
        } else {
            $bwul_quota_checkbox_checked = '';
            $bwul_quota_disable = 'disabled';
            $bwul_quota_value = '';
        }
    } else {
        $bwul_quota_checkbox_checked = '';
        $bwul_off_checked = 'checked';
        $bwul_on_checked = '';
        $showQuotaUL = 'none';
        $bwul_quota_disable = 'disabled';
    }

    $input='<input type="radio" name="bw_setting_dl" value="1" '.$bwdl_on_checked.' onclick="ShowQuotaDL();">'.get_cm_var('setcfg_dispatcher_enabled').'<input type="radio" name="bw_setting_dl" value="0" '.$bwdl_off_checked.' onclick="HideQuotaDL();">'.get_cm_var('setcfg_dispatcher_disabled').'<br>
                <div id="div_dispatch_quota_dl" style="display: '.$showQuotaDL.';">
                    <input type="checkbox" name="bwdl_quota_checkbox" '.$bwdl_quota_checkbox_checked.' value="EnableQuotaDL" onClick="EnableQuotaDL();">'.get_cm_var('setcfg_dispatcher_bw_quota').'
                    <input class="shorttextbox" type="textbox" name="bwdl_quota" maxlength="10" value="'.$bwdl_quota_value.'" '.$bwdl_quota_disable.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()"> '.get_cm_var('setcfg_dispatcher_bw_KB').'
                </div>';

    gen_line(get_cm_var('setcfg_dispatcher_bwdl'), $input);

    gen_sep();

    $input='<input type="radio" name="bw_setting_ul" value="1" '.$bwul_on_checked.' onclick="ShowQuotaUL();">'.get_cm_var('setcfg_dispatcher_enabled').'<input type="radio" name="bw_setting_ul" value="0" '.$bwul_off_checked.' onclick="HideQuotaUL();">'.get_cm_var('setcfg_dispatcher_disabled').'<br>

            <div id="div_dispatch_quota_ul" style="display: '.$showQuotaUL.'">
                <input type="checkbox" name="bwul_quota_checkbox" '.$bwul_quota_checkbox_checked.' value="EnableQuotaUL" onClick="EnableQuotaUL();">'.get_cm_var('setcfg_dispatcher_bw_quota').'
                <input class="shorttextbox" type="textbox" name="bwul_quota" maxlength="10" value="'.$bwul_quota_value.'" '.$bwul_quota_disable.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()"> '.get_cm_var('setcfg_dispatcher_bw_KB').'
            </div>';

    gen_line(get_cm_var('setcfg_dispatcher_bwul'), $input);

    gen_sep();
    //****************************************************************************************************
    // End - Global data transfer setting
    //****************************************************************************************************

    //****************************************************************************************************
    // Global accumulative data transfer reset setting
    //****************************************************************************************************
    $abw_rmChecked0 = '';
    $abw_rmChecked1 = '';
    $abw_rmChecked2 = '';
    $rp_abw_method = '';
    $rp_abw_period = '';
    $abw_rdate = '';
    $abw_rd_disabled = 'disabled';
    $abw_rp_disabled = 'disabled';
    $abw_mday = '';
    $rp_abw_method=$settingobj->getKey('bwresetmethod', 'bwreset');
    $rp_abw_period=$settingobj->getKey('bwresetperiod', 'bwreset');
    $timeArray_date = '';
    $timeArray_time = '';
    $rp_abw_lastrbw=$settingobj->getKey('lastresetbw', 'bwreset');
    if ($rp_abw_lastrbw > 0){
			$timeArray = getdate($rp_abw_lastrbw);
			$mon =($timeArray['mon'] < 10) ? "0".$timeArray['mon'] : $timeArray['mon'];
			$mday = ($timeArray['mday'] < 10) ? "0".$timeArray['mday'] : $timeArray['mday'] ;
			$hours = ($timeArray['hours'] < 10) ? "0".$timeArray['hours'] : $timeArray['hours'] ;
			$minutes = ($timeArray['minutes'] < 10) ? "0".$timeArray['minutes'] : $timeArray['minutes'] ;
			$timeArray_date = $mon."-".$mday."-".$timeArray['year'];
			$timeArray_time = $hours.":".$minutes;//.":".$timeArray['seconds'];
		}
    $rp_abw_date=$settingobj->getKey('bwresetdate', 'bwreset');
    if($rp_abw_method=='month') {
        $abw_rmChecked1 = 'checked';
        $abw_monthly_default = '';
        $abw_daily_default = 'none';
        $abw_lastrbw_default = '';
    } else if($rp_abw_method=='day') {
        $abw_rmChecked2 = 'checked';
        $abw_monthly_default = 'none';
        $abw_daily_default = '';
        $abw_lastrbw_default = '';
    } else {
        $abw_rmChecked0 = 'checked';
        $abw_monthly_default = 'none';
        $abw_daily_default = 'none';
        $abw_lastrbw_default = 'none';
    }
    $input = '<input type="radio" name="abw_rm" value="0" '.$abw_rmChecked0.' onclick="abw_disable_all()">'.get_cm_var('setcfg_dispatcher_resetabw_disabled').'
        <input type="radio" name="abw_rm" value="1" '.$abw_rmChecked1.' onclick="abw_enable_textbox()">'.get_cm_var('setcfg_dispatcher_resetabw_monthly').'
        <input type="radio" name="abw_rm" value="2" '.$abw_rmChecked2.' onclick="abw_disable_textbox()">'.get_cm_var('setcfg_dispatcher_resetabw_daily');
    gen_line(get_cm_var('setcfg_dispatcher_reset_period'), $input);

    $input = '<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.get_cm_var('setcfg_dispatcher_resetabw_monthly_str1').
            '<input type="text" maxlength="2" name="abw_rdate" value="'.$rp_abw_date.'" class="shorttextbox" style="width:20px;" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">'.
            get_cm_var('setcfg_dispatcher_resetabw_monthly_str2').
            '<input type="text" maxlength="2" name="abw_rp_1" value="'.$rp_abw_period.'" class="shorttextbox" style="width:20px;" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">'.
            get_cm_var('setcfg_dispatcher_resetabw_monthly_str3').'<br><br>';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_resetabw_title'),$input,'abw_monthly',$abw_monthly_default);
    
    $input = '<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.get_cm_var('setcfg_dispatcher_resetabw_daily_str1').
            '<input type="text"  maxlength="3" name="abw_rp_2" value="'.$rp_abw_period.'" class="shorttextbox" style="width:30px;" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">'.
            get_cm_var('setcfg_dispatcher_resetabw_daily_str2').'<br><br>';
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_resetabw_title'),$input,'abw_daily',$abw_daily_default);
    
    //global Set last period of time (Reset ABW)
    
    $input = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;('.get_cm_var('setcfg_date_format').')&nbsp;('.get_cm_var('setcfg_time_format').')<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" maxlength="10" name="abw_lastrbw_date" value="'.$timeArray_date.'" class="shorttextbox" style="width:70px;"  onfocus="this.select()"> &nbsp;'.
            '<input type="text" maxlength="5" name="abw_lastrbw_time" value="'.$timeArray_time.'" class="timetextbox" style="width:40px;" onfocus="this.select()">'
            ;
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_resetabw_title2'),$input,'abw_lastrbw',$abw_lastrbw_default);
    
    //gen_line(get_cm_var('setcfg_dispatcher_resetabw_title2'), $input);
    
    //****************************************************************************************************
    // End - Global accumulative data transfer reset setting
    //****************************************************************************************************
	
	gen_sep();
    gen_sep();
	
	// blackout period
	if (!isset($blackoutPeriodMode))
		$blackoutPeriodMode = $settingobj->getKey('blackout_period_mode', 'gateway');
		
	$checkedBPMode1="";
	$checkedBPMode2="";
	$checkedBPMode3="";
	$defaultBP="";
	
	if ($blackoutPeriodMode == 1){
		$checkedBPMode2="checked";
	}
	else if ($blackoutPeriodMode == 2){
		$checkedBPMode3="checked";
	}
	else{
		$checkedBPMode1="checked";
		$defaultBP="none";
	}
		
	$input= '<input type="radio" name="blackoutPeriodMode" value="0" onclick="changeBP(this.value)" '.$checkedBPMode1.' >'.get_cm_var('setcfg_dispatcher_blackout_period_opt1').
			'<br/><input type="radio" name="blackoutPeriodMode" value="1" onclick="changeBP(this.value)" '.$checkedBPMode2.' >'.get_cm_var('setcfg_dispatcher_blackout_period_opt2').
			'<br/><input type="radio" name="blackoutPeriodMode" value="2" onclick="changeBP(this.value)" '.$checkedBPMode3.' >'.get_cm_var('setcfg_dispatcher_blackout_period_opt3');
	
    gen_line(get_cm_var('setcfg_dispatcher_blackout_period'), $input);
	
	gen_invisible_sep('bp_line1', $defaultBP);
	
	
	//ahomark
	
	if (!isset($blackout_period_start_time))
		$blackout_period_start_time = $settingobj->getKey('blackout_period_start_time', 'gateway');
		
	if (!isset($blackout_period_end_time))
		$blackout_period_end_time = $settingobj->getKey('blackout_period_end_time', 'gateway');
	
	$blackout_period = $settingobj->getKey('blackout_period_time_table', 'gateway');
	
	
	
	$input=get_cm_var('setcfg_dispatcher_blackout_period_start').' <input class="shorttextbox" type="text" name="bp_stime" maxlength="5" value="'.
		$blackout_period_start_time.'" style="width:65px"> - '.get_cm_var('setcfg_dispatcher_blackout_period_end').
		' <input class="shorttextbox" type="text" name="bp_etime" maxlength="5" value="'.
		$blackout_period_end_time.'" style="width:65px"> '.get_cm_var('setcfg_dispatcher_blackout_period_format').
		'<br/>'.get_cm_var('setcfg_dispatcher_blackout_period_hints');
	
	
	//start here
	echo "<SCRIPT language='JavaScript' SRC='javascript/schedule.js'></SCRIPT> ";
	$wTitleArr = array('Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');	
	$hrTitleArr = array('00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00');
	
	$input .= <<<start
		<table id="schTable" cellspacing="1" cellpadding="" border="1px" style="-moz-user-select: none; cursor: default;">
								<tr>
									<td>
										<div style="height: 220px;">
											&nbsp;
											<table cellspacing="1" cellpadding="" border="1px" style="">
												<tr><td></td></tr>
start;
		
		for ($i=0; $i <7; $i++){
			$input.= "<tr>";
			$input.= "<td>$wTitleArr[$i]</td>";
			$input.= "</tr>";
		}
		$input .=<<<start
			</table>
										</div>
									</td>
									<td>
			<div id="new_schPanel" style="overflow:auto; width:400px; height: 220px;"  onmousedown='isHoldClick=true;' onmouseup='isHoldClick=false;' onmouseout='subDivMouseoutHandler(event, "new", "new_schPanel")'>
			<table cellspacing="1" cellpadding="" border="1px">
start;

	$input .= "<tr>";
	for ($j=0; $j<24; $j++){
		$input .= "<td colspan='4' >$hrTitleArr[$j]</td>";
	}
	$input .= "</tr>";
	
	for ($i=0; $i <7; $i++){
		$input .= "<tr>";
		for ($j=0; $j<24; $j++){
			for ($k=0; $k<4; $k++){
				$input .= "<td name='sch_".$i."_".$j."_".$k."' id='sch_".$i."_".$j."_".$k."' onmousedown=\"toggleScheduleCell(this, 'new', '$i', '$j', '$k');\" onmouseover=\"toggleScheduleMultCell(this, 'new', '$i', '$j', '$k');\" >&nbsp;</td>";
			}
		}
		$input .= "</tr>";
	}
	$input .= <<<start
		</table>
											</div>
										</div>
									</td>
								</tr>
							</table>	
start;

$input .= <<<start
<input type="hidden" name="schdeuleValue" id="schdeuleValue" value="{$blackout_period}" />
<input type="button" value="Reset Schedule" onclick="javascript: resetScheduleArrayInEdit()" />

start;
	gen_invisible_line2(get_cm_var('setcfg_dispatcher_blackout_period_time'), $input, 'blackout_period_time', $defaultBP);
	
    gen_sep();
    gen_sep();
echo "<script>window.onload = schTransGPInEdit('{$blackout_period}') </script>";


    $value=$settingobj->getKey('batch_filePath', 'gateway');
    $input='<input class="longtextbox" type="text" name="batch_filePath" value="'.$value.'"  onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_dispatcher_location_for_post_startup_file'), $input);

    gen_sep();
    gen_sep();

    //****************************************************************************************************
    // SMTP setting
    //****************************************************************************************************
    $SMTP_on=$settingobj->getKey('smtp', 'fssmtp');
    $isp_smtp = $settingobj->getKey('IspSmtpDomain', 'fssmtp');
    if( strtolower($SMTP_on) == 'true' && $isp_smtp!='') { // on smtp and and use ISP smtp 
        $defaultSMTPon = '';
        $defaultSMTPoff = 'none';
        $defaultSMTPon_check = ' checked';
        $defaultSMTPoff_check = '';
        
        	$defaultSMTP_isp_on = '';
	        $defaultSMTP_isp_on_check = '';
	        $defaultSMTP_isp_off_check = 'checked';
	        
	        $IspSmtpAuthLogin = $settingobj->getKey('IspSmtpAuthLogin', 'fssmtp');
	        if ($IspSmtpAuthLogin == 'true'){
	       		$defaultSMTP_isp_auth_login_on_check = 'checked';
	        	$defaultSMTP_isp_auth_login_off_check = '';
	        	$defaultSMTP_isp_auth_login = '';
        	} else {
	        	$defaultSMTP_isp_auth_login_on_check = '';
	        	$defaultSMTP_isp_auth_login_off_check = 'checked';
	        	$defaultSMTP_isp_auth_login = 'none';
        	}
    } else { // off smtp
        $defaultSMTPon = 'none';
        $defaultSMTPoff = ''; 
		
        $defaultSMTPon_check = '';
        $defaultSMTPoff_check = ' checked';
		
		$defaultSMTP_isp_on = 'none';

        $defaultSMTP_isp_on_check = 'checked';
        $defaultSMTP_isp_off_check = '';
		
        $defaultSMTP_isp_auth_login_on_check = '';
	    $defaultSMTP_isp_auth_login_off_check = 'checked';
        $defaultSMTP_isp_auth_login = 'none';
    }
	
	//============================================SMTP ON/OFF SELECTION============================================
		$input='
				<input type="radio" '.$disabled.' name="smtp_on_selection" value="smtp_on"  onclick="switchSMTP()" '.$defaultSMTPon_check.'>
					'.get_cm_var('setcfg_dispatcher_enabled').'
				<input type="radio" '.$disabled.' name="smtp_on_selection" value="smtp_off" onclick="switchSMTP()" '.$defaultSMTPoff_check.'>
					'.get_cm_var('setcfg_dispatcher_disabled');
	

	gen_line($version_star.get_cm_var('setcfg_dispatcher_smtp_selection'), $input);

	// change this setting because the smtpButton default is off, 
	// Basic setting "$defaultSMTPon = 'none'" of the last time
    gen_invisible_sep('smtp_line1', $defaultSMTPon); 

	//============================================ISP server============================================
	if (!isset($IspSmtpDomain))
        $IspSmtpDomain = $settingobj->getKey('IspSmtpDomain', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="IspSmtpDomain" value="'.$IspSmtpDomain.'" 
				style="width : 250px" onfocus="this.select()">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_ISP'), $input, 'IspSmtpDomain', $defaultSMTP_isp_on);
    
    gen_invisible_sep('smtp_line3', $defaultSMTP_isp_on); 
	
	//============================================Authentication login============================================
    $input= '<input type="radio" '.$disabled.' name="IspSmtpAuthLogin" value="true"
			'.$defaultSMTP_isp_auth_login_on_check.' onClick="ispChangeAuthLogin()">'.get_cm_var('setcfg_dispatcher_smtp_yes').'
			&nbsp;
			<input type="radio" '.$disabled.' name="IspSmtpAuthLogin" value="false"
			'.$defaultSMTP_isp_auth_login_off_check.' onClick="ispChangeAuthLogin()">
			'.get_cm_var('setcfg_dispatcher_smtp_no');
			
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_ISP_auth_login'), $input, 'IspSmtpAuthLogin', $defaultSMTP_isp_on);
    gen_invisible_sep('smtp_line3a', $defaultSMTP_isp_on);
	
    //============================================IspSmtp User============================================
    if (!isset($IspSmtpUserName))
        $IspSmtpUserName = $settingobj->getKey('IspSmtpUserName', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="IspSmtpUserName" value="'.$IspSmtpUserName.'" 
				style="width : 250px" onfocus="this.select()">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_ISP_user_name'), $input, 'IspSmtpUserName', $defaultSMTP_isp_auth_login);
    gen_invisible_sep('smtp_line3b', $defaultSMTP_isp_auth_login);
	
     //============================================IspSmtp Password============================================
     if (!isset($IspSmtpPassword))
        $IspSmtpPassword = $settingobj->getKey('IspSmtpPassword', 'fssmtp');
    $input = '<input class="longtextbox" type="password" '.$disabled.' name="IspSmtpPassword" 
				value="'.$IspSmtpPassword.'" style="width : 250px" onfocus="this.select()">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_ISP_password'), $input, 'IspSmtpPassword', $defaultSMTP_isp_auth_login);
    gen_invisible_sep('smtp_line3c', $defaultSMTP_isp_auth_login);
	
    
	//============================================SMTP Port number============================================
     if (!isset($SmtpPort))
        $SmtpPort = $settingobj->getKey('SmtpPort', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="SmtpPort" maxlength="6" value="'.$SmtpPort.'" 
				style="width : 250px" onKeyPress="return numbersonly(this,event)">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_port'), $input, 'SmtpPort', $defaultSMTP_isp_on);
    gen_invisible_sep('smtp_line3d', $defaultSMTP_isp_on);
	
    //============================================Recipient Limit============================================
    if (!isset($rcptMax))
        $rcptMax = $settingobj->getKey('rcptMax', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="rcptMax" maxlength="10" value="'.$rcptMax.'" 
				style="width : 250px" onKeyPress="return numbersonly(this,event)">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_rcpt'), $input, 'rcptMax', $defaultSMTPon);
    gen_invisible_sep('smtp_line4', $defaultSMTPon);
	
    //============================================Mail Size Limit============================================
    if (!isset($mailsize))
        $mailsize = $settingobj->getKey( 'mailsize', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="mailsize" maxlength="4" value="'.$mailsize.'" 
				style="width : 250px" onKeyPress="return numbersonly(this,event)">';
				
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_mailsize'), $input, 'mailsize', $defaultSMTPon);
    gen_invisible_sep('smtp_line5', $defaultSMTPon);
	
    //============================================Send Mail Recycle Time============================================
    if (!isset($execTime))
        $execTime = $settingobj->getKey('execTime', 'fssmtp');
    $input = '<input class="longtextbox" type="text" '.$disabled.' name="execTime" maxlength="8" value="'.$execTime.'" 
			style="width : 250px" onKeyPress="return numbersonly(this,event)">';
			
    gen_invisible_line2(get_cm_var('setcfg_dispatcher_smtp_execTime'), $input, 'execTime', $defaultSMTPon);
    gen_invisible_sep('smtp_line6', $defaultSMTPon);

    //****************************************************************************************************
    // End - SMTP setting
    //****************************************************************************************************

    gen_sep();
	
	if (isset($_SERVER['HTTP_REFERER']))
		search_scroll($HTTP_REFERER);
	
    gen_save('save_d',$fs_status);
    gen_foot();
    // release the COM object
    //$settingobj->Release();
    $settingobj=null;
?>
