<?php
require_once "..\\authserv\\common_functions.php";

$settingobj = new COM("FSCONFIG.Cfgmgr") or die("common_functions.php FSCONFIG.Cfgmgr Object cannot be created!");
$reciverS = $settingobj->getKey("toEmail","emailReport");
$settingobj = null;

$to = array();
$sendMail = true;
$export_file = '..\\log\\email_reporting_log.log';
$output = "";
$attachment = null;

$curr_time = time();
$reciver = null;
if($reciverS!=""){
	if(!strpos($reciverS,";"))
		$reciver = $reciverS;
	else
		$reciver = explode(';',$reciverS);
		
	if($reciver!=null && $reciver != ""){
		if(is_array($reciver)){
			$epCount = 0;
			foreach($reciver as &$emailpath){
				$to[$epCount][0] = "to";
				$to[$epCount][1] = $emailpath;
				$to[$epCount][2] = null;
				$epCount += 1;
			}
		}
		else{
			$to[0][0] = "to";
			$to[0][1] = $reciver;
			$to[0][2] = null;
		}
	}
	else{
		$output.= date("D M d H:i:s Y")."\t Email Error : No reciver email(1)\n";
		$sendMail = false;
	}
}
else{
	$output.= date("D M d H:i:s Y")."\t Email Error : No reciver email(0)\n";
	$sendMail = false;
}
// hard code
$filename = "reportTemplateMail.eml";
$handle = fopen($filename, "rb");
if($handle != false){
	$contents = fread($handle, filesize($filename));
	fclose($handle);
	
	$pos = stripos($contents, "\r\n\r\n");
	if ($pos === false){
		$output.= date("D M d H:i:s Y")."\t Email Error : Content header not found\n";
		$sendMail = false;
	}
}
else{
	$output.= date("D M d H:i:s Y")."\t Email Error : Email sample not found\n";
	$sendMail = false;
}
	
$org_header = substr($contents, 0, $pos);
	
$message_body = strstr($contents, "<!DOCTYPE");
	
// get data from content
$pos_subject_start = stripos($org_header, "Subject: ");
$pos_subject_end = stripos($org_header, "\r\n", $pos_subject_start);
$message_subject = substr($org_header, $pos_subject_start + strlen("Subject: "),$pos_subject_end-$pos_subject_start - strlen("Subject: "));

// Get attachment file path from a file
if(isset($attach)){
	$att_handle = fopen($attach,"rb");
	if($att_handle){
		$contents = fread($att_handle, filesize($attach));
		$pos = stripos($contents,"Success: \n");
		if($pos === false){
			// A way to stop email reporting ( no file => no email report today )
			$output.= date("D M d H:i:s Y")."\t Email Error : No attachment found\r\n";
		}
		else{
			$pathstart = $pos + strlen("Success: \n");
			$pathend = stripos($contents,".csv") + strlen(".csv");
			$attachment = substr($contents, $pathstart,$pathend-$pathstart);
			$output.= date("D M d H:i:s Y")."\t Attachment\t: ".$attachment."\n"; //\\ Debug Print
			if($pos == 0){
				$pos = stripos($contents,"Success: \n", $pathend);
				if($pos === false){
					// it is not an error if url tracking log is not a part of report
					$output.= date("D M d H:i:s Y")."\t Email Error : URL Tracking log not found\n";
				}
				else{
					$pathstart = $pos + strlen("Success: \n");
					$pathend = stripos($contents,".csv", $pos) + strlen(".csv");
					$attachment = array($attachment, substr($contents, $pathstart,$pathend-$pathstart));
					$output.= date("D M d H:i:s Y")."\t Attachment2\t: ".$attachment[1]."\n"; //\\ Debug Print
				}
			}
			else{
				// it is not an error if user log is not a part of report
				$output.= date("D M d H:i:s Y")."\t Email Error : User log not found\n";
			}
		}
		fclose($att_handle);
	}
	else{
		$output.= date("D M d H:i:s Y")."\t Email Error : Attachment path file can not be opened\n";
		$sendMail = false;
	}
}
else{
	$output.= date("D M d H:i:s Y")."\t Email Error : Attachment path file not found\n";
	$sendMail = false;
}

// Get result of sending email report
if ($sendMail){
	$mail_sent = sys_mail( $to, $message_subject, $message_body, setReportMail(), $attachment);
	if ($mail_sent!="0"){
		$output.= date("D M d H:i:s Y")."\t Email Error : $mail_sent";
	}
	else
		$output.= date("D M d H:i:s Y")."\t Email report is sent sucessfully";
}

// Delete attachment after sending email
if($attachment!=null){
	if(!is_array($attachment))
		unlink($attachment);
	else{
		unlink($attachment[0]);
		unlink($attachment[1]);
	}
}
//echo $output; ///\\\ Debug Print
// Create log file if email report is success or not
if (is_file("..\\log\\".$export_file) == FALSE)
	touch ("..\\log\\".$export_file);
$fileHandler = fopen ("..\\log\\".$export_file, 'a');
fwrite ($fileHandler, $output);
fclose ($fileHandler);

?>