<?php 

require_once('cmvar.php');
require_once "cmlang.php";
include_once("..\\authserv\\common_functions.php");

// ($item, $input, $skipbubble) 
// if $skipbubble == 1, won't print the smallbubble.gif

	$count_warning = 0;
	$is_highlight = 0;

function gen_line()
{
	$wrongarg=0;
	$skipbubble=0;
	$trStr='';
	$defaultDisplay='';
	global $count_warning;

	$numargs = func_num_args();

	if ($numargs == 2){
		$item=func_get_arg(0);
		$input=func_get_arg(1);
	}else if ($numargs == 3){
		$item=func_get_arg(0);
		$input=func_get_arg(1);
		$skipbubble=func_get_arg(2);
	}else if ($numargs == 5){
		$item=func_get_arg(0);
		$input=func_get_arg(1);
		$skipbubble=func_get_arg(2);
		$id=func_get_arg(3);
		$defaultDisplay=func_get_arg(4);
		$trStr="id = '$id'";
	}else{
		echo 'wrong number of arguments for gen_line()';
		$wrongarg=1;
	}
	
	//print message for special search case
	if (isset($_GET['cm_match']) && isset($_GET['category']) && $_GET['category'] == "cc" && ++$count_warning == 1) {
		echo '<span style = "color: red;" id = "search_invisible_field_warning" >'.get_cm_var('setcfg_warning_search_invisible_field').'</span>';
		}
	
	$item = highlight_search_string($item);
	
	if ($wrongarg!=1) {
?>

			<tr <?=$trStr?> style="display:<?=$defaultDisplay?>;">
				<td width="400"><p class="indented">
<?php

		if ( $skipbubble != 1 ) {
			echo '		<img src="./images/smallbubble.gif" width="8" height="8">';
		}else{
			echo '		<img src="./images/blank.gif" width="8" height="8">';
		}
?>
				
<?php 	$scroll_field = gen_scroll_field() ;
		echo $scroll_field;
?>				
				<img src="./images/blank.gif" width="6" height="6"><?=$item?></td>
				<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
				<td width="300" class="normal"><?=$input?></td>
			</tr>
<?php
	}
}

function gen_invisible_line($item, $input, $id, $defaultDisplay)
{	
	$item = highlight_search_string($item);
	gen_invisible_field_remind();
	$scroll_field = gen_scroll_field();
			
	echo '<tr id="'.$id.'" style="display: '.$defaultDisplay.'">
		<td width="400"><p class="indented"><img src="./images/smallbubble.gif" width="8" height="8"><img src="./images/blank.gif" width="10" height="6">'.$scroll_field.$item.'</p></td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="300" class="normal">'.$input.'</td>
		</tr>';
}

function gen_invisible_line2($item, $input, $id, $defaultDisplay)
{
	$item = highlight_search_string($item);
	gen_invisible_field_remind();
	$scroll_field = gen_scroll_field();
	
	echo '
	<tr id="'.$id.'" style="display: '.$defaultDisplay.'">
		<td width="400"><p class="indented"><img src="./images/blank.gif" width="8" height="8"><img src="./images/blank.gif" width="10" height="6">'.$scroll_field.$item.'</td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="300" class="normal">'.$input.'</td>
	</tr>';
}

function gen_invisible_line2_with_tab($item, $input, $id, $defaultDisplay)
{	
	$item = highlight_search_string($item);
	gen_invisible_field_remind();
	$scroll_field = gen_scroll_field();
	echo '
	<tr id="'.$id.'" style="display: '.$defaultDisplay.'">
		<td width="400" style="padding:0px 0px 0px 25px"><p class="indented"><img src="./images/blank.gif" width="8" height="8"><img src="./images/blank.gif" width="10" height="6">'.$scroll_field.$item.'</td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="300" class="normal">'.$input.'</td>
	</tr>';
}

function gen_invisible_line3($item, $input, $id, $defaultDisplay)
{
	$item = highlight_search_string($item);
	//gen_invisible_field_remind();
	$scroll_field = gen_scroll_field();
	echo '
	<tr valign="top" id="'.$id.'0" style="display: '.$defaultDisplay.'">
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr valign="top" id="'.$id.'1" style="display: '.$defaultDisplay.'">
		<td valign="top" class="captionbig">'.$item.'</td>
		<td valign="top" class="captionbig">'.$input.'</td>
	</tr>';
}

function gen_manager_option($item, $name)
{
	$item = highlight_search_string($item);
	$scroll_field = gen_scroll_field() ;
		echo $scroll_field;
?>

			<tr>
				<td class="normal"><b><?php echo $item ?></b></td>
				<td><input type="checkbox" name="<?php echo $name ?>" value="0"></td>
			</tr>
<?php
}

function gen_manager_option2($item, $name, $onClickScript)
{
	$item = highlight_search_string($item);
	$scroll_field = gen_scroll_field() ;
		echo $scroll_field;
?>

			<tr>
				<td class="normal"><b><?php echo $item ?></b></td>
				<td>
					<input type="checkbox" name="<?php echo $name ?>" value="0" onclick="<?=$onClickScript?>">
				</td>
				
			</tr>
<?php
}

function gen_sub_manager_option($item, $name)
{
	$item = highlight_search_string($item);
	$scroll_field = gen_scroll_field() ;
		echo $scroll_field;
?>

			<tr id="tr_<?php echo $name ?>" style="">
				<td class="normal" style="padding:0px 0px 0px 25px;"><b><?php echo $item ?></b></td>
				<td style="padding:0px 0px 0px 50px;"><input type="checkbox" name="<?php echo $name ?>" value="0" ></td>
			</tr>
<?php
}

function gen_language_box($name)
{
	include 'lang_table.php';
	echo "\n<select id='$name' name='$name' style='width:250px;'>\n";
	echo "<option value='' selected>Select a language to add...\n";
	echo "<option value=''>---------------------------------------------------------\n";

	foreach( $langname as $key => $value )
		echo "<option value='$key'>$value [ $key ]\n";

	echo "</select>\n";
}

function gen_charset_box($name)
{
	include 'charset_table.php';
	echo "<select id='$name' name='$name' style='width:250px;'>\n";
	echo "<option value='' selected>Select a character encoding to add...\n";
	echo "<option value=''>---------------------------------------------------------\n";

	foreach( $charname as $key => $value )
		echo "<option value=\"$key\">$value\n";

	echo "</select>\n";
}

function gen_section_heading($content)
{
?>

	<tr>
		<td colspan="9"><p class="indented"><img src="./images/blank.gif" width="16" height="8"><span style="color: green;"><?php echo $content ?></span></td>
	</tr>
<?php
}

function gen_section_heading_button($content, $ui_name, $num)
{
	// 20090720 - Add arrow sign
	$divContent = '
					<img src="./images/blank.gif" width="18" height="8">
					<span style="color:green;font-size:80%"><b>&#8594;'.$content.'</b></span>'."\n";
?>

	<tr>
	<td colspan="9" onmouseover="this.style.backgroundColor='#E3E3E3';" onmouseout="this.style.backgroundColor='#FFFFFF';" onclick="javascript:displayUIContent('<?=$ui_name?>', <?=$num?>, '<?=$content?>'); return false;" style="cursor:pointer;cursor:hand;">
			<p class="indented">
				<div id="<?=$ui_name?>|arrow">
					<?=$divContent?>
				</div>
		</td>
	</tr>
<?php
}


function gen_sep()
{
?>

		<tr><td width="100%" colspan="9"><p style="margin-top: 1px; margin-bottom: 1px"><img src="./images/hline-sep-green.gif" width="100%" height="1"></p></td></tr>
<?php
}


function gen_invisible_sep($id, $defaultDisplay){
	echo "
		<tr id=\"$id\" style=\"display: $defaultDisplay\"><td width=\"100%\" colspan=\"9\"><hr class = \"spacing\"></td></tr>\n";
}

function gen_invisible_sep2($id, $defaultDisplay){
	echo "
		<tr id=\"$id\" style=\"display: $defaultDisplay\"><td width=\"100%\" colspan=\"9\"></td></tr>\n";
}

function gen_head()
{
?>

	<!-- Head -->
	<div id="main_wrapper" style="clear: both; border-top: 3px solid green; border-bottom: 3px solid green; border-left: 1px solid #CCC; border-right: 1px solid #CCC; padding: 3px 10px;">
		<table border="0" width="95%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
			<div>
	<!-- End Head -->
<?php
}


function gen_foot()

{
?>

	<!-- Foot -->
			</div>
		</table>
	</div>
	<!-- End Foot -->
<?php
}


function gen_save($flag,$state)
{
	if ($flag=='save_d') {
		$cancel='<form action="setcfg.php?category=d" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_a') {
		$cancel='<form action="setcfg.php?category=a" method="post">';
	} else if ($flag=='save_s') {
		$cancel='<form action="setcfg.php?category=s" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_m') {
		$cancel='<form action="setcfg.php?category=m" method="post">';
	} else if ($flag=='save_dhcp') {
		$cancel='<form action="setcfg.php?category=dhcp" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_r') {
		$cancel='<form action="setcfg.php?category=r" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_e') {
		$cancel='<form action="setcfg.php?category=e" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_cc') {
		$cancel='<form action="setcfg.php?category=cc" method="post">';
	} else if ($flag=='save_lang') {
		$cancel='<form action="setcfg.php?category=lang" method="post">';
	} else if ($flag=='save_cart') {
		$cancel='<form action="setcfg.php?category=cart" method="post">';
	} else if ($flag=='save_key') {
		$cancel='<form action="setcfg.php?category=key" method="post">';
	} else if ($flag=='save_bcreate') {
		$cancel='<form action="setcfg.php?category=bcreate" method="post">';
	} else if ($flag=='save_print') {
		$cancel='<form action="setcfg.php?category=print" method="post">';
	} else if ($flag=='save_acl') {
		$cancel='<form action="setcfg.php?category=acl" method="post">';
	} else if ($flag=='save_nat') {
		$cancel='<form action="setcfg.php?category=nat" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_fo') {
		$cancel='<form action="setcfg.php?category=fo" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_ibmsg') {
		$cancel='<form action="setcfg.php?category=ibmsg" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_er') {
		$cancel='<form action="setcfg.php?category=er" method="post"><input type="hidden" name="purge" value="true">';
	} else if ($flag=='save_sn') {
		$cancel='<form action="setcfg.php?category=sn" method="post">';
	}
	
?>

<style type = "text/css">
<!--
input.button {

	margin: 7px auto;
	font-family: Tahoma, Verdana, serif;
	color: black;
	border: 2px solid black;
	font-size: 10pt;
	padding: 2px 4px;
	background: #DDD;
	text-decoration: none;
	width: 111px;

	/*ie 7*/
	.border: 1px solid black;
}

input.button:hover {
	background: #EEE;
}

#save_button, #for_cancel_hover {

	_border: 2px solid black;
	.border: 2px solid black;

}

#none {
	display: none;
	
	/*ie 6*/
	_display: true;
	_width: 0px;
	
	/*ie 7*/
	.display: true;
	.width: 0px;
	
}


-->
</style>

<script = "text/javascript">

//for ie 
function changeSaveBgColor() {
	document.getElementById("save_button").style.background = "#EEE";
}

function returnSaveBgColor() {
	document.getElementById("save_button").style.background = "#DDD";
}

function changeCancelBgColor() {
	document.getElementById("for_cancel_hover").style.background = "#EEE";
}

function returnCancelBgColor() {
	document.getElementById("for_cancel_hover").style.background = "#DDD";
}
</script>
		<!-- Save & Cancel -->
		<tr>
			<td width="100%" colspan="9" valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr valign="middle">
			<td width="50%" style="text-align: right">
				<input type="hidden" name="<?php echo $flag ?>" value="true">
				<input type="submit" id="none">
				<input type="submit" onMouseOver = "changeSaveBgColor()" onMouseOut = "returnSaveBgColor()" id = "save_button" class = "button" style = "cursor: hand; cursor: pointer;" name="save_button" alt="Save" id="save_button" value = "<?php echo get_cm_var("form_elements_save_button");?>" align="top">
				</form>
			</td>
			<td width="20"><img src="./images/blank.gif" align="top" width="20" height="50"></td>
			<td width="50%" style="text-align: left;">
			<?php echo $cancel ?><input type="submit" onMouseOver = "changeCancelBgColor()" onMouseOut = "returnCancelBgColor()" id = "for_cancel_hover" style = "cursor: hand; cursor: pointer;" class = "button" alt="Cancel" align="top" value = "<?php echo get_cm_var("form_elements_cancel_button");?>"></form>
			</td>
		</tr>
		</table>

			</td>
		</tr>
		<!-- End Save & Cancel -->
<?php
}

// ($item, $col_width, $skipbubble) 
// $col_width = percentage
// if $skipbubble == 1, won't print the smallbubble.gif
function gen_comment_line()
{
	$wrongarg=0;
	$skipbubble=0;

	$numargs = func_num_args();

	if ($numargs == 2) {
		$item=func_get_arg(0);
		$col_width=func_get_arg(1);
	} else if ($numargs == 3) {
		$item=func_get_arg(0);
		$col_width=func_get_arg(1);
		$skipbubble=func_get_arg(2);
	} else {
		echo 'wrong number of arguments for gen_comment_line()';
		$wrongarg=1;
	}

	if ($wrongarg!=1) {
		echo '
		<tr>
			<td colspan="4" width="'.$col_width.'%"><p class="indented">';

		if ( $skipbubble != 1 )
			echo '		<img border="0" src="./images/smallbubble.gif" width="8" height="8">';

		echo '<img border="0" src="./images/blank.gif" width="6" height="1">'.$item."</td>
		</tr>\n";
	}
}

function gen_license_warning($content)
{
?>

		<tr>
			<td width="100%" colspan="9" class="captionbig" style="color:red;"><img src="./images/blank.gif" border="0" width="10" height="1"><?php echo $content ?></td>
		</tr>
<?php
}

function rfile($fname)
{
	if (file_exists($fname)){
		$fh = fopen($fname, "rb");
		if ($fh){
			$content = fread($fh, filesize($fname));
			fclose($fh);
			return $content;
		}
	}

	return "";
}

function gen_save2($form, $save, $cancel)
{
?>

<!-- Save & Cancel -->
<tr>
<td width="100%" colspan="9" valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td width="50%" style="text-align: right">
			<input type="hidden" name="<?=$save?>" value="false">
			<input type="submit" class = "button" name="save_button" alt="Save" id="save_button" align="top" onclick="document.<?=$form?>.<?=$save?>.value='true';">
		</td>
		<td width="20"><img src="./images/blank.gif" align="top" width="20" height="50"></td>
		<td width="50%" style="text-align: left;">
			<input type="hidden" name="<?=$cancel?>" value="false">
			<input type="submit" class = "button" alt="Cancel" align="top" onclick="document.<?=$form?>.<?=$cancel?>.value='true';">
		</td>
	</tr>
	</table>
</td>
</tr>
<!-- End Save & Cancel -->
<?php
}

// 20080430
function gen_invisible_textarea($item, $input, $id, $defaultDisplay, $fBubble)
{
	echo '
	<tr id="'.$id.'" style="display:'.$defaultDisplay.'">
		<td width="400" valign=top><p class="indented">';

	if ($fBubble) {
		echo '
		<img src="./images/smallbubble.gif" width="8" height="8">
		<img src="./images/blank.gif" width="6" height="6">';
	} else {
		echo '
		<img src="./images/blank.gif" width="19" height="8">';
	}

	echo $item.'
		</p></td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="300" height="200" class="normal">'.$input.'</td>
	</tr>';
}

function gen_invisible_checkbox($id, $defaultDisplay, $checkboxId, $fCheck)
{
	echo '
	<tr id="'.$id.'_disab" style="display:'.$defaultDisplay.'">
		<td width="400"><p class="indented">
			<img src="./images/blank.gif" width="19" height="8">'.get_cm_var('setcfg_ui_login_disable_show').'
		</p></td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="300" class="normal"><input type="checkbox" id="'.$checkboxId.'" name="'.$checkboxId.'_checkbox" value="ON" '.$fCheck.'></td>
	</tr>';
}

function gen_section_heading_ex($content, $id, $defaultDisplay)
{
?>

	<tr id="<?=$id?>" style="display:<?=$defaultDisplay?>;">
		<td colspan="9"><p class="indented"><img src="./images/blank.gif" width="16" height="8"><span style="color: green;"><?php echo $content ?></span></td>
	</tr>
<?php
}

function highlight_search_string($item) { 
	global $lang;
	if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1) {
		$item= '<a style = "background-color: yellow;" >'.$item.'</a>';
	}
	return $item;
}

function search_scroll($HTTP_REFERER) {
	
	if (strpos($HTTP_REFERER, "s_cm")) {
		echo ('<script type="text/javascript">');
		echo ('document.location = "#search_match";');
		echo ('</script>');
		}
			}
			
function gen_scroll_field() {  //Generate a field for scrolling to the search string	
		global $is_highlight;
		if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1 && isset($_GET['category']) && $_GET['category'] == 'u' && $is_highlight == 1){
			$_GET['cm_match'] = NULL;
			return '<a id = "search_match"></a>';
		}
		else if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1 && isset($_GET['category']) && $_GET['category'] == 'u'){
			return '<a id = "search_match"></a>';
		}
		else if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1) {
			$_GET['cm_match'] = NULL;
			return '<a id = "search_match"></a>';
		}
		else 
			return '';
}

function gen_invisible_field_remind() { //Generate a field to remind for the invisible field
	if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1) 
		echo '<a style = "color: red;" id = "search_invisible_field_warning" >'.get_cm_var('setcfg_warning_search_invisible_field').'</a>';
}

$temp_cm_match = "";
function reset_cm_match() {  
	global $temp_cm_match;
	if (isset($_GET['cm_match']) && $_GET['cm_match'] != 1) 
		$temp_cm_match = $_GET['cm_match'];
	else if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1)
		$_GET['cm_match'] = $temp_cm_match;
}		

function gen_search_feature($item) {
	global $lang,$is_highlight;
	if(isset($_GET['cm_match']) && $_GET['cm_match'] == 1 && isset($_GET['category']) && $_GET['category'] == 'u')
		$is_highlight = 1;
	if (isset($_GET['cm_match']) && $_GET['cm_match'] == 1) {
		$item = highlight_search_string($item);
		$scroll_field = gen_scroll_field();
		echo $scroll_field;
		}
	//echo $_GET['cm_match'];
	echo $item;
}	
?>

