<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link href="local.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
function submitForm()
{
	document.payment.submit();
}
</script>
</head>

<?php
//******** ensure require postfields have submitted by cart.php ***********//  
include_once "transaction.php";
include_once "ppal_lc_table.php";
require_once "..\\authserv\\common_functions.php";
picturePath();
$status_message="";
$ok=true;
if ( !isset($_POST["username"]) || strcmp ($_POST["username"], "") == 0) {
	$status_message="- <b>username</b>: the FirstSpot user who is going to receive the purchase air time credit.<br>";
	$ok=false;
}
if (!isset($_POST["item_index"]) || strcmp ($_POST["item_index"], "") == 0) {
	$status_message.="- <b>item_index</b>: the item_index for searching the item attributes.<br>";
	$ok=false;
}

if (!$ok) {
	echo '<body>'."\n";
	echo 'These are the minimum fields you have to post to this php file:<p>'."\n";
	echo $status_message;
	echo "\n".'</p><p>Auto-redirection to PayPal is aborted.</p>'."\n";
	// 20080211 - Correct typo
	if(isset($_SERVER['HTTP_REFERER'])) {
		echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
	}
	echo "</body>\n";
	echo "</html>\n";
	die;
}

// 21-01-2010 Add include common_functions.php
// 20090113 - Add ppal_lc_table


$myTransaction	= new transaction();
//20080716 use the get_cart_item_arr function to retrieve the transaction item array(contains the item information)
$item_index		=$_POST['item_index'];
$cart_item_arr	=$myTransaction->get_cart_item_arr($item_index);

//20080716 show warning if the cart item does not exists
if($cart_item_arr==null){
	echo '<body>'."\n";
	echo 'Shopping Item not find!!'."\n";
	echo '<p>Auto-redirection to PayPal is aborted.</p>'."\n";
	if(isset($_SERVER['HTTP_REFERER']))
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
	echo "</body>\n";
	echo "</html>\n";
	die;
}

// running time (for calculate prorata use)
$current_time = time();

if ($cart_item_arr['useMethod'] == 1&& isset($cart_item_arr['item_attr']['topup']) && $cart_item_arr['item_attr']['topup'] >0){ // uisng item attribute and set monthly pass
	$withinDay = false;
	if (isset($_POST["cart_time"]) && $_POST["cart_time"] >0){
		$curr_localtime  = localtime($current_time, true);
		$post_localtime  = localtime($_POST["cart_time"] , true);
		// compare the running time within a day
		if ($curr_localtime['tm_year'] == $post_localtime['tm_year'] && $curr_localtime['tm_yday'] == $post_localtime['tm_yday']){ // compare year and Day of the year 
			$withinDay = true;
		}
	}
	
	if ($withinDay == false) { // not at the same day
		echo '<body>'."\n";
		echo 'Item is updated, please retry again'."\n";
		echo '<p>Auto-redirection to PayPal is aborted.</p>'."\n";
		if(isset($_SERVER['HTTP_REFERER']))
		echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
		echo "</body>\n";
		echo "</html>\n";
		die;
	}
	
	// 21-01-2010 adjust the shopping cart item's price by prorata
	// calculate method same as fs_cart.php
	$base_time = 0;
	$expire_time = 0;
	
	if ($_POST["username"] != ""){
		$u_expire_month = fs_expire_month_utime($_POST["username"]); // get user expire month (unix timestamp format)
	}
	
	if ( $u_expire_month == false || $u_expire_month == -1 || $current_time > $u_expire_month) // emonth eyear field is null or expired
		$base_time = $current_time;
	else
		$base_time = $u_expire_month;
		
	// adjust item amount
	$cart_item_arr["amount"] = fs_cal_price_with_prorata($base_time, $cart_item_arr["amount"], $cart_item_arr['item_attr']['topup'], 2);
}

$settingobj		= new COM("FSCONFIG.Cfgmgr") or die("paypal_submit2.php FSCONFIG.Cfgmgr Object cannot be created!");
// 20070831 - Correct typo
// 20130726 - Auto Login Option
$id				=$settingobj->getKey( "ppal_business", "paypal");
$return			=$settingobj->getKey( "ppal_return", "paypal");
$cancel_return	=$settingobj->getKey( "ppal_cancel_return", "paypal");
$notify_url		=$settingobj->getKey( "ppal_notify_url", "paypal");
$currency_code	=$settingobj->getKey( "ppal_base_currency", "paypal");
$alogin			=$settingobj->getKey( "auto_login", "creditcard");
$paypal_test			=$settingobj->getKey( "paypal_testing", "paypal");
if($paypal_test == 'true') $url = "https://www.sandbox.paypal.com/cgi-bin/webscr";
	else $url="https://www.paypal.com/cgi-bin/webscr";

//$settingobj->Release();
$settingobj		=null;

if ($notify_url{strlen($notify_url)-1} != "/" )
	$notify_url.='/ppal_ipn.php';
else
	$notify_url.='ppal_ipn.php';

  //20080716 postfields from cart.php now contains item_index and username only
  //postfields from cart.php
  //$_POST["username"];
  //$_POST["item_index"];

//default postfields

$postfields['business']		= $id;
$postfields['notify_url']	= $notify_url;
$postfields['cancel_return']= $cancel_return;
$postfields['cmd']			= "_xclick";
$postfields['item_name']	= $cart_item_arr['item_name'];
//$postfields['item_number']= $_POST["quantity"];
$postfields['amount']		= $cart_item_arr['amount'];
$postfields['currency_code']= $currency_code;
$postfields['no_shipping']	= "1";
$postfields['no_note']		= "1";
$postfields['rm']			= "1";
$postfields['undefined_quantity']= "0";

// 20090113 - Detetmine correct lc value
foreach ($_SESSION["REGION"] as $value) {
    if (isset($langCode["$value"])) {
		$postfields['lc'] = $langCode["$value"];
		break;
    }
}
  
//start of recurring
//define your own interval_unit for recurring
if (isset($cart_item_arr['interval_unit'])) {
	$interval_unit = $cart_item_arr['interval_unit'];

	if ($interval_unit == "days")
		$unit = "D";
	else if ($interval_unit == "weeks")
		$unit = "W";
	else if ($interval_unit == "months")
		$unit = "M";
	else if ($interval_unit == "years")
		$unit = "Y";
}

//required postfields for recurring
if (isset($cart_item_arr['recurring_enable']))
	if ( $cart_item_arr['recurring_enable'] == 1 )
	{
		$postfields['cmd'] = "_xclick-subscriptions";
		$postfields['a3'] = $cart_item_arr['amount'];
		$postfields['p3'] = $cart_item_arr['interval'];
		$postfields['t3'] = $unit;
		$postfields['src'] = "1";
		$postfields['sra'] = "1";

		if ( isset($cart_item_arr['recurring_method']) && isset($cart_item_arr['fixed_number']) ) {
			if ( $cart_item_arr['recurring_method'] == "fixed" && $cart_item_arr['fixed_number'] != null && $cart_item_arr['fixed_number'] != "" )
				$postfields['srt'] = $cart_item_arr['fixed_number'];
		}
	}
//end of recurring  

//define your own postfields

//20080730 changed the method name from "paypal" to "PayPal Website Payments Standard"
//insert transaction to database
$method = "PayPal Website Payments Standard";

//$dbfields['username'] = $_POST["username"];
$dbfields['item_name'] = $cart_item_arr['item_name'];
$dbfields['amount'] = $cart_item_arr['amount'];
$dbfields['planname'] = $cart_item_arr['plan'];
$dbfields['quantity'] = $cart_item_arr['quantity'];
$dbfields['curr'] = $currency_code;
$dbfields['method'] = $method;

// new for item attributes
$dbfields['useMethod'] = $cart_item_arr['useMethod'];

$invoice_no = $myTransaction->insert_transaction($_POST["username"], $dbfields);

// 21-01-2010 add running time (unix timestamp format)
// 20080206 - Stop submit form if INVOICE is abnormal
if ($invoice_no > 0) {
	if ($cart_item_arr['useMethod'] == 1&& isset($cart_item_arr['item_attr']['topup']) && $cart_item_arr['item_attr']['topup'] >0)	// uisng item attribute and set monthly pass
		$postfields['custom'] = $invoice_no."|".$_POST["username"]."|".$cart_item_arr['plan']."|".$current_time;
    else
		$postfields['custom'] = $invoice_no."|".$_POST["username"]."|".$cart_item_arr['plan']."|"."0";

	//\\ 20120815 - Change return path for auto login process
	//\\ 20150601 - Add invoice_no for waiting transaction complete before auto login
	if($alogin == 'true')
		if($myTransaction->checkUserLogin())	// logged in
			$return = FetchUrlPath().'redirect.php?loginPage=2';
		else // not logged in
			$return = fs_urlhead()."login_form.php?code=".$_POST['code']."&waitcomp=$invoice_no";
	
	$postfields['return'] = $return;
?>
<body onload="submitForm()">
<?php

    //submit form to payment gateway
    $myTransaction->submit_form($url, $postfields);
} else {
    echo "<body>\n";
    echo "\n".'<p>Transaction failed... Please contact the help desk!</p>'."\n";
    if(isset($_SERVER['HTTP_REFERER'])) {
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
    }
    echo "</body>\n";
    echo "</html>\n";
    die;
}

?>
</body>
</html>
