<?php
header('Content-Type: text/xml'); // The content-type of the PHP document is set to be "text/xml"

header("Cache-Control: no-cache, must-revalidate"); //The PHP document is set to "no-cache" to prevent caching
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

// since < ? ? > in php have special meaning, so that using print() instead of echo()
$xmlHeader = "<?xml version=\"1.0\" ?>\n";
print $xmlHeader;

require_once('cmvar.php'); // this file will print <!---->
include_once("..\\authserv\\common_functions.php");

$responseCase=0;

// specified data is found
$xmlContent="";

if (isset($_GET['response_case']))
	$responseCase=$_GET["response_case"]; // The variable is set to be the data sent from the html page
	
if ($responseCase == 1){
	$settingobj = new COM('FSCONFIG.Cfgmgr') or die('responseData.php FSCONFIG.Cfgmgr Object cannot be created!');
	$firstspotusertable=$settingobj->getKey( "Datasource_Tablename", "gateway");
	$settingobj=null;
	
	// number of availabe scratch code
	$numOfAvailabeSC = 0;
	$availableSCMsg = "";
	
	$q = "select count(*) as availablesc from ".$firstspotusertable." WHERE reserved1 is NULL AND (MACasUsr='N' OR MACasUsr IS NULL) AND (used='0' OR used IS NULL) AND acctype=1;";
	$result=db_query($q);    
	if (odbc_fetch_row($result)) {
		$numOfAvailabeSC=odbc_result($result,'availablesc');
	}
	
	if ($numOfAvailabeSC <= 0){
		$availableSCMsg = $numOfAvailabeSC." ".get_cm_var('setcfg_auth_esms_empty_sc_warn');
	}
	else{
		$availableSCMsg = $numOfAvailabeSC;
	}
	
	$xmlContent.="<availableSCMsg>" . $availableSCMsg . "</availableSCMsg>";
}

// The data is outputted as an xml document 
echo "<queryName>";
echo "<responseCase>" . $responseCase . "</responseCase>";
echo $xmlContent;
echo "</queryName>";
?>