	var isHoldClick = false;
	var isHoldClickInEdit = false;
	var scheduleArray = new Array(7);
	var bitAray = new Array(1,2,4,8);
	var cColor = false;
	
	// set empty
	for (i=0; i<7; i++){
		scheduleArray[i] = new Array(24);
		for (j=0; j<24; j++){
		scheduleArray[i][j] = new Array(4);
			for (k=0; k<4; k++){
				scheduleArray[i][j][k] = 0;
			}
		}
	}
	
	var remStr = "";
	
	
	function schTransGPInEdit(str){
	w = 0;
	h = 0;

	for (i=0; i < str.length; i++){
		val = parseInt(str.charAt(i), 16);
		
		for(j=0; j<4; j++){
			if (val & bitAray[j]){
				scheduleArray[w][h][j] = 1;
				document.getElementById("sch_"+w+"_"+h+"_"+j).style.backgroundColor = "#33FF33";
			}
		}
		
		h++;
		
		if (h == 24){
			h=0;
			w++;		
			if (w == 7){
				w=0;
			}
		}
	}
}

function resetScheduleArrayInEdit(){
	// disable selection 
	//el = document.getElementById('edit_schTable');
	//disableSelection(el);
	
	for (i=0; i<7; i++){
		for (j=0; j<24; j++){
			for (k=0; k<4; k++){
				//alert("i" + i);
				//alert(scheduleArrayInEdit[i][j][k]);
				if (scheduleArray[i][j][k] == 1){
					scheduleArray[i][j][k] = 0;
					document.getElementById("sch_"+i+"_"+j+"_"+k).style.backgroundColor = "";
				}
			}
		}
	}
	//default value for schdeuleValue
	document.getElementById("schdeuleValue").value = "";
}

	function schTransStr(str){
	w = 0;
	h = 0;

	message="";

	weekArr = new Array('Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');	
	hourArr = new Array('00', '01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23');
	fromMinuteArr = new Array(':00', ':15', ':30', ':45');
	toMinuteArr = new Array(':00', ':15', ':30', ':45');

	
	isContinue = false;
	isFirst = true;

	for (i=0; i < str.length; i++){
		val = parseInt(str.charAt(i), 16);
		
		for(j=0; j<4; j++){
			if (val & bitAray[j]){
				if (isContinue == false){
					isContinue = true;
					
					if (isFirst == true){
						isFirst = false;
					}
					else{						
						message+= ", </span>";
					}
					
					message+= "<span style='white-space: nowrap;'>"+weekArr[w]+" "+hourArr[h]+fromMinuteArr[j]+"~";
				}
			}
			else{
				if (isContinue == true){
					isContinue = false;
					message+= ""+weekArr[w]+" "+hourArr[h]+toMinuteArr[j];
				}
			}
		}
		
		h++;
		
		if (h == 24){
			h=0;
			w++;		
			if (w == 7){
				// w=6;
				// h=23;
				w=0;
				h=0;
			}
		}		
		
		// special for last
		if (i == (str.length -1)){
			if (val & bitAray[3]){
				if (isContinue == true){
					isContinue = false;
					message+= ""+weekArr[w]+" "+hourArr[h]+toMinuteArr[0]+"</span>";
				}
			}
		}
	}
	return message;
}

	
	function getScheduleValue(){
		//schedule start here
		// schedule
		var ruleSchedule = "";
		var scheduleMsgStr = "";		
		
		var label_schedule_text ="";
		//if (schedule_spec[1].checked) {
			// special value store in javascript's variable(array)
			
			// build value string
			schValStr = "";
			
			for (i=0; i<7; i++){
				for (j=0; j<24; j++){
					val = 0;
					for(k=0; k<4; k++){
						if (scheduleArray[i][j][k] == 1)
							val += bitAray[k];
					}
					schValStr += val.toString(16);
				}
			}
			
			ruleSchedule = schValStr.toUpperCase();
			
			if ((ruleSchedule.split('F').length - 1) == 168 || (ruleSchedule.split('0').length - 1) == 168){
				//scheduleMsgStr = g_str_setcfg_arule_all_schedule;
				ruleSchedule = "";
			}
			else{
				//scheduleMsgStr = schTransStr(ruleSchedule);
			}
		remStr = ruleSchedule;
		document.getElementById("schdeuleValue").value = ruleSchedule;
	}
	
	// new for schedule panel
	function toggleScheduleCell(elem, type, w, h, m)
	{
		// alert(w+':'+h+':'+m);
		
		var style2 = elem.style;		
		if(type=="new")
			cColor = (style2.backgroundColor=="");
		if (cColor){
			scheduleArray[w][h][m] = 1;
			style2.backgroundColor = "#33FF33";
		}
		else {
			scheduleArray[w][h][m] = 0;
			style2.backgroundColor = "";
		}
		getScheduleValue();
	}
	
	function toggleScheduleMultCell(elem, type, w, h, m)
	{
		if (type == 'new'){
			if (isHoldClick == false)
				return;
		}
		else{
			if (isHoldClickInEdit == false)
				return;
		}
			
		toggleScheduleCell(elem, '', w, h, m);
		
	}
	
function subDivMouseoutHandler(event, type, id)
	{
		var toElement = null;
		
		if (type == 'new'){
			if (isHoldClick == false){
				// skip handle
				return;
			}
		}
		else{
			if (isHoldClickInEdit == false){
				// skip handle
				return;
			}
		}		

		if (event.relatedTarget)
			toElement = event.relatedTarget;
		else if (event.toElement)
			toElement = event.toElement;

		while (toElement && toElement.id != id){
			toElement = toElement.parentNode;
		}
		
		if (!toElement)
		{
			// out of element
			if (type == 'new')
				isHoldClick = false;
			else
				isHoldClickInEdit = false;
		}
	}