<?php
include_once("db_access.php");
include_once("..\\authserv\\common_functions.php");

$settingobj = new COM('FSCONFIG.Cfgmgr') or die('settingok.php FSCONFIG.Cfgmgr Object cannot be created!');
$low = $settingobj->getKey('bt_low', 'bw_throttle');
$medium = $settingobj->getKey('bt_medium', 'bw_throttle');
$high = $settingobj->getKey('bt_high', 'bw_throttle');
$session_handling = $settingobj->getKey('session_handling', 'gateway');

$scratch_login = $settingobj->getKey('scratch_login', 'gateway');
$username_plus_scratch_login = $settingobj->getKey('username_plus_scratch_login', 'gateway');

//$settingobj->Release();
$settingobj=null;

$bt_ul_limit=null;
$bt_dl_limit=null;

if(!isset($plan_bt_mode))
	$plan_bt_mode=4;   // default is "use Global Setting"
switch($plan_bt_mode)
{
case 0:
	$bt_ul_limit=0;
	$bt_dl_limit=0;
	break;
case 1:
	$bt_ul_limit=$low;
	$bt_dl_limit=$low;
	break;
case 2:
	$bt_ul_limit=$medium;
	$bt_dl_limit=$medium;
	break;
case 3:
	$bt_ul_limit=$high;
	$bt_dl_limit=$high;
	break;
case 4:
	$bt_ul_limit=null;
	$bt_dl_limit=null;
	break;
case 5:  // treat as 0 (no throttling) if it is blank
	if (!isset($plan_bt_num) || $plan_bt_num=='')
		$plan_bt_num=0;
	if (!isset($plan_bt_num_dl) || $plan_bt_num_dl=='')
		$plan_bt_num_dl=0;
	$bt_ul_limit=$plan_bt_num;
	$bt_dl_limit=$plan_bt_num_dl;
	break;
}

$active_acc=0;
$startDate=null;
if(isset($bt_act_acc)) {
	switch($bt_act_acc)
	{
	case 0:
		$active_acc=0;
		break;  
	case 1:
		$active_acc=1;	
		break;
	case 2:
		$active_acc=2;
		if (isset($act_date))
			$startDate=datetime_from_php($act_date, $act_time);
		break;
	}
}

$status=0;
if(isset($bt_plan_status))
{
	switch($bt_plan_status)
	{
	case 0:
		$status=0;
		break;  
	case 1:
		$status=1;
		break;
	}
}

$timeleft=null;
$logins=null;
$endDate=null;
$mins=null;
$emonth=null;
$eyear=null;

	$max_logins = 0;
	if(isset($multiple_login))
	{
		$acctype = 3;
		if(isset($multiple_login_max_limit)){
			$max_logins = $multiple_login_max_limit;
		}
	}else{
		$acctype = 0;
	}
	
if(!isset($cb_exp_acc0)) { //not never
	
	
	if(isset($cb_exp_acc1))  //timeleft
	{
		$timeleft=$exp_timeleft;
	}
	if(isset($cb_exp_acc2)) //login
	{
		$logins=$exp_login;
	}
	if(isset($cb_exp_acc3))  //date
	{
		$endDate=datetime_from_php($exp_date, $exp_time);
	}
	if(isset($cb_exp_acc4)) { // After
		if(strcmp($select_exp_timeleft,'min')==0)
			$mins=$exp_days;
		else if (strcmp($select_exp_timeleft,'hour')==0)
			$mins=$exp_days*60;
		else
			$mins=$exp_days*60*24;
	}
	if(isset($cb_exp_acc5)) { // Expiry month
		if(isset($select_expire_month) && $select_expire_month>0 && isset($expire_year) && $expire_year >0) {
			$emonth=$select_expire_month;
			$eyear=$expire_year;
			// ignore edate, eminutes
			$endDate = null;
			$mins = null;
		}
	}
}

$bwcount=null;
$bwquota=null;
$accumbw=null;
if(isset($plan_bwcount)) {
	switch($plan_bwcount)
	{
	case -1:
		$bwcount=null;
		break;
	case 0:
		$bwcount=0;
		break;
	case 1:
		$bwcount=1;
		$accumbw=0;
		break;
	case 2:
		$bwcount=2;
		$bwquota=$plan_bwquota1;
		$accumbw=0;
		break;
	}
}

$bwcountUL=null;
$bwquotaUL=null;
$accumbwUL=null;
if(isset($plan_bwcountUL)) {
	switch($plan_bwcountUL)
	{
	case -1:
		$bwcountUL=null;
		break;
	case 0:
		$bwcountUL=0;
		break;
	case 1:
		$bwcountUL=1;
		$accumbwUL=0;
		break;
	case 2:
		$bwcountUL=2;
		$bwquotaUL=$plan_bwquota1UL;
		$accumbwUL=0;
		break;
	}
}

$bwcountSHA=null;
$bwquotaSHA=null;
$accumbwSHA=null;
if(isset($plan_bwcountSHA)) {
	switch($plan_bwcountSHA)
	{
	case 0:
		$bwcountSHA=0;
		break;
	case 1:
		$bwcountSHA=1;
		$accumbwSHA=0;
		$bwcount = 0;
		$bwcountUL = 0;
		echo '<script type="text/javascript">';
		echo 'alert( "'.get_cm_var('setcfg_data_transfer_remind').'");';
		echo '</script>';
		break;
	case 2:
		$bwcountSHA=2;
		$bwquotaSHA=$plan_bwquota1SHA;
		$accumbwSHA=0;
		$bwcount = 0;
		$bwcountUL = 0;
		echo '<script type="text/javascript">';
		echo 'alert( "'.get_cm_var('setcfg_data_transfer_remind').'");';
		echo '</script>';
		break;
	}
}


//plan recur_option
if(isset($plans_recur_option) && $plans_recur_option == 1)
{
	$week_sch = 0;
	if (isset($plans_cb_mon))
		$week_sch += $plans_cb_mon;
	if (isset($plans_cb_tue))
		$week_sch += $plans_cb_tue;
	if (isset($plans_cb_wed))
		$week_sch += $plans_cb_wed;
	if (isset($plans_cb_thr))
		$week_sch += $plans_cb_thr;
	if (isset($plans_cb_fri))
		$week_sch += $plans_cb_fri;
	if (isset($plans_cb_sat))
		$week_sch += $plans_cb_sat;
	if (isset($plans_cb_sun))
		$week_sch += $plans_cb_sun;
	
	$plans_recur_sdate="";
	$plans_recur_edate="";
	if (isset($plans_recur_stime) && strlen($plans_recur_stime) > 0) {
		$plans_recur_sdate = $plans_recur_stime;
	}

	if (isset($plans_recur_etime) && strlen($plans_recur_etime) > 0) {
		$plans_recur_edate = $plans_recur_etime;
	}
} else {
	$plans_recur_option = 0;
	$plans_recur_sdate="";
	$plans_recur_edate="";
	$week_sch = 0;
}

if(!isset($plan_usr_abw_rm))
	$plan_usr_abw_rm = 3;

switch($plan_usr_abw_rm)
{
case 0:
	$plan_bwrmethod = 'disable';
	$plan_bwrperiod = NULL;
	$plan_bwrdate = NULL;
	break;
case 1:
	if(!is_numeric($plan_usr_abw_rdate)||$plan_usr_abw_rdate<1||$plan_usr_abw_rdate>31)
		$plan_usr_abw_rdate = 1;
	if(!isset($plan_usr_abw_rp_1)||$plan_usr_abw_rp_1<1)
		$plan_usr_abw_rp_1 = 1;

	$plan_bwrmethod = 'month';
	$plan_bwrdate = $plan_usr_abw_rdate;
	$plan_bwrperiod = $plan_usr_abw_rp_1;
	break;
case 2:
	if(!is_numeric($plan_usr_abw_rp_2)||$plan_usr_abw_rp_2<1)
		$plan_usr_abw_rp_2 = 1;

	$plan_bwrmethod = 'day';
	$plan_bwrperiod = $plan_usr_abw_rp_2;
	$todayTime = time(NULL);
	$todayDate = getdate($todayTime);
	$plan_bwrdate = $todayDate['mday'];
	break;
case 3:
default:
	$plan_bwrmethod = NULL;
	$plan_bwrperiod = NULL;
	$plan_bwrdate = NULL;
	break;
}

//access control list
if (isset($plan_acl) && $plan_acl=='y')
	$plan_acl = "Y";
else
	$plan_acl = NULL;

//request signup
if (isset($plan_signup) && $plan_signup=='y')
	$plan_signup = "Y";
else
	$plan_signup = NULL;

//reset option
if (isset($reset_opt) && $reset_opt=='y')
	$reset_opt = 1;
else
	$reset_opt = 0;

//auto_del
if (isset($plan_autodel) && strtolower($plan_autodel)=='y')
	$plan_autodel = 1;
else
	$plan_autodel = 0;
	
// 20100803 - Modify type for new case when mac_map is 2
//mac mapping
if (!isset($mac_map)) {
	$mac_map = 0;
}

//ip mapping
if (isset($ip_map) && strtolower($ip_map)=='y')
	$ip_map = 1;
else
	$ip_map = 0;
	
$loginsegment = NULL;
	
//segment mapping
if (isset($select_plan_login_segment) && $select_plan_login_segment >=0 && $select_plan_login_segment != ""){
	$loginsegment = $select_plan_login_segment;
}

$myDB = new db();
$plan_table = $myDB->get_plan_table();

$fields = array();
//$fields['pname'] = $planname;
$fields["timeleft"] = $timeleft;
$fields["btul"] = $bt_ul_limit;
$fields["btdl"] = $bt_dl_limit;
$fields["bwquota"] = $bwquota;
$fields["bwcount"] = $bwcount;  
$fields["bwquotaul"] = $bwquotaUL;
$fields["bwcountul"] = $bwcountUL;
$fields["status"] = $status;
$fields["startmod"] = $active_acc;
$fields["edate"] = $endDate;
$fields["sdate"] = $startDate;  
$fields["logins"] = $logins;
$fields["eminutes"] = $mins;	
$fields["auto_del"] = $plan_autodel;  
$fields["bwrmethod"] = $plan_bwrmethod;
$fields["bwrperiod"] = $plan_bwrperiod;
$fields["bwrdate"] = $plan_bwrdate;
$fields["reqsignup"] = $plan_signup;
$fields["acl"] = $plan_acl;
$fields["roption"] = $plans_recur_option; 
$fields["rsdate"] = $plans_recur_sdate;  
$fields["redate"] = $plans_recur_edate;  
$fields["weeksch"] = $week_sch;
$fields["resetopt"] = $reset_opt;
$fields["macmap"] = $mac_map;
$fields["ipmap"] = $ip_map;
$fields["bwcountsha"] = $bwcountSHA;
$fields["bwquotasha"] = $bwquotaSHA;
$fields["loginseg"] = $loginsegment;
$fields["emonth"] = $emonth;
$fields["eyear"] = $eyear;
$fields["portflt"] = isset($_POST['portflt']) ? $_POST['portflt'] : '';
$fields["faflag"] = isset($_POST['faflag']) ? $_POST['faflag'] : '';
$fields["login_cpw"] = isset($login_cpw) ? $login_cpw : ''; //\\
//add here aho


$fields["acctype"] = $acctype;
$fields["max_logins"] = $max_logins;




// 20090708 - Add array to store field data type
$bFieldNumeric = array();
$bFieldNumeric["timeleft"] = 1;
$bFieldNumeric["btul"] = 1;
$bFieldNumeric["btdl"] = 1;
$bFieldNumeric["bwquota"] = 1;
$bFieldNumeric["bwcount"] = 1;
$bFieldNumeric["bwquotaul"] = 1;
$bFieldNumeric["bwcountul"] = 1;
$bFieldNumeric["status"] = 1;
$bFieldNumeric["startmod"] = 1;
$bFieldNumeric["edate"] = 0;
$bFieldNumeric["sdate"] = 0;
$bFieldNumeric["logins"] = 1;
$bFieldNumeric["eminutes"] = 1;
$bFieldNumeric["auto_del"] = 1;
$bFieldNumeric["bwrmethod"] = 0;
$bFieldNumeric["bwrperiod"] = 1;
$bFieldNumeric["bwrdate"] = 1;
$bFieldNumeric["reqsignup"] = 0;
$bFieldNumeric["pagenum"] = 1;
$bFieldNumeric["acl"] = 0;
$bFieldNumeric["roption"] = 1;
$bFieldNumeric["rsdate"] = 0;
$bFieldNumeric["redate"] = 0;
$bFieldNumeric["weeksch"] = 1;
$bFieldNumeric["resetopt"] = 1;
$bFieldNumeric["macmap"] = 1;
$bFieldNumeric["ipmap"] = 1;
$bFieldNumeric["bwcountsha"] = 1;
$bFieldNumeric["bwquotasha"] = 1;
$bFieldNumeric["loginseg"] = 1;
$bFieldNumeric["emonth"] = 1;
$bFieldNumeric["eyear"] = 1;
$bFieldNumeric["portflt"] = 0;
$bFieldNumeric["faflag"] = 1;
$bFieldNumeric["acctype"] = 1;
$bFieldNumeric["max_logins"] = 1;
$bFieldNumeric["login_cpw"] = 0;


if (isset($save_p)&&($save_p=='true'))
{
	// 20090708 - Pass also the data type array with the field array
	if ($addplan=='true') {
		if ( !$myDB->isexists($plan_table, "pname='".$planname."'") ) {
			$fields['pname'] = $planname;
			$bFieldNumeric['pname'] = 0;
			$result = $myDB->insert($plan_table, $fields, $bFieldNumeric);
			if ($result = false)
				$_SESSION['message']='Failed to Add plan';
			else
				$_SESSION['message']='User plan information was successfully added.';
			$myDB->close();
		} else {
			$_SESSION['message']='Warning: The plan name chosen has been held. Please choose another one.';
		}
	} else if ($editplan=="true") {		
		
		if ( $myDB->isexists($plan_table, "pname='".$planname."'") ) {
			$result = $myDB->update($plan_table, $fields, "WHERE pname = '".$planname."'", $bFieldNumeric);
			if ($result = false)
				$_SESSION['message']='Failed to update plan';
			else
				$_SESSION['message']='User plan information was successfully saved. The current users under this plan will not be affected.';
			$myDB->close();
		} else {
			$_SESSION['message']='Warning: The plan name chosen does not exists.';
		}
	}

	echo '<script type="text/javascript">';
	echo 'parent.parent.mid_right_bottom.location.reload();';
	echo '</script>';
}
?>
<?
	$disabled_ip_text_sub1 = '';
	$settingobj = new COM('FSCONFIG.Cfgmgr') or die('setfree.php FSCONFIG.Cfgmgr Object cannot be created!');
	$max_admin_account=$settingobj->getKey( "max_admin_account", "gateway");
	$i = 0;
	for ($i = 0; $i < $max_admin_account; $i++) {
		$admin_username = $settingobj->getKey( "admin_username".$i, "gateway");
		if ($admin_username == $_SESSION["operator"]){
			$admin_parameter = $settingobj->getKey( "admin_parameter".$i, "gateway");
			
			if (strstr($admin_parameter, "p_dis_sub1") != false){
				$disabled_ip_text_sub1 = 'disabled';
			}
			
			break;
		}
	}
	$settingobj=null;
	
?>

	<?php //date picker plugin ?>
	<script type="text/javascript" src="plugin/date-picker/js/datepicker.js"></script>
	<link href="plugin/date-picker/css/datepicker.css" rel="stylesheet" type="text/css" />
	<?php multiple_login_js(2); ?>
	<?php //end date picker plugin ?>
	
	<tr>
		<td width="100%" colspan="5" valign="top" height="15"><img src="./images/blank.gif" border="0" width="15" height="15"></td>
	</tr>

	<tr>
		<td width="210" valign="top" class="captionbig">
			<span class="star"><?=$version_msg.'&nbsp;</span><br><br><br><span style="color: green;">'.get_cm_var('setcfg_plans_existing_plans').'</span>'?>
			<iframe id="plans" name="plans" frameborder="0" width="170" height="360" src="plans.php" marginwidth="0" marginheight="0" style="border:0;"></iframe>
		</td>
		<td width="100%" valign="top">
	<div id="buttons">	
		<input type="button" class="graphicBtn" value="<?=get_cm_var('setcfg_plans_btn_add')?>" title="<?=get_cm_var('setcfg_plans_add_plan')?>"  onClick="onAdd();" <?if($disabled_ip_text_sub1 == 'disabled'){echo $disabled_ip_text_sub1;}?>>
		<input type="button" class="graphicBtn" value="<?=get_cm_var('setcfg_plans_btn_edit')?>" title="<?=get_cm_var('setcfg_plans_edit_plan')?>" onClick="onEdit();" <?if($disabled_ip_text_sub1 == 'disabled'){echo $disabled_ip_text_sub1;}?>>
		<input type="button" class="graphicBtn" value="<?=get_cm_var('setcfg_plans_btn_delete')?>" title="<?=get_cm_var('setcfg_plans_delete_plan')?>" onClick="deletePlan()" <?if($disabled_ip_text_sub1 == 'disabled'){echo $disabled_ip_text_sub1;}?>>
	</div>
	<br>

	<form action="" name="planform" method="post" onSubmit="return validate_p();">
	<input type="hidden" name="disabled" value="<?=$disabled?>">
	<input type="hidden" name="save_p" value="true">
	<input type="hidden" name="addplan" value="">
	<input type="hidden" name="editplan" value="">
	<input type="hidden" name="plan_no" id="plan_no" value="">

	<table width="100%" border="0" cellspacing="0" cellpadding="1">
	<tr class="captionbig" style="color:green;">
		<td width="10" class="tabspace">&nbsp;</td>
		<td width="120" align="center" class="tabselected"><span id="tabtitle">Plan Details</span></td>
		<td class="tabspace">&nbsp;</td>
	</tr>
	</table>
	<script type="text/javascript"><!--
	function changeTab()
	{
		obj = document.getElementById('tabtitle');
		if (document.planform.addplan.value == 'true')
			obj.innerHTML = '<?=get_cm_var('setcfg_plans_add_plan')?>';
		else if (document.planform.editplan.value == 'true')
			obj.innerHTML = '<?=get_cm_var('setcfg_plans_edit_plan')?>';
		else
			obj.innerHTML = '<?=get_cm_var('setcfg_plans_plan_info')?>';
	}
	// -->
	</script>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabcontent" >
	<tr><td colspan="2"><br></td></tr>
	<tr valign="top">
		<td width="35%" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_plan_name'));?></td>
		<td width="65%"><input type="text" name="planname" id="planname" value="" style="width:250px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;"></td>
	</tr>
	
	
	<tr><td colspan="2"><br></td></tr>
	<tr valign="top">
	<script>
		function updateMultiLoginV(){
			var multiLogin = document.getElementById("multiple_login");
			var multiLoginLimit = document.getElementById("multiple_login_max_limit");
			var enabled = false;
			if(multiLogin.checked == true){
				enabled = true;
				multiLogin.value =1;
				if (document.planform.addplan.value == 'true'|| document.planform.editplan.value == 'true')
				multiLoginLimit.disabled = false;
			}
			else{
				enabled = false;
				multiLogin.value = 0;
				multiLoginLimit.disabled = true;
			}
			for(var key in muiltLoginElementName2 ){ // all element's names are stored in common_functions.php
				elementName= muiltLoginElementName2[key];
				document.getElementById(elementName).disabled = enabled;
			}	
		}
		
function select_multiple(){
	if (document.addform.multiple_login.checked == true) {
	document.addform.multiple_login_max_limit.disabled = false;
	document.addform.multiple_login_max_limit.style.background = '#FFFFFF';
	// dim and disable features or attributes which do not support in Multiple Logins
	// access minute
	document.addform.cb_acc1.style.background = '#DDDDDD';
	document.addform.cb_acc1.disabled = true;
	document.addform.add_timeleft.style.background = '#DDDDDD';
	document.addform.add_timeleft.disabled = true;
	// logins limit
	document.addform.cb_acc2.style.background = '#DDDDDD';
	document.addform.cb_acc2.disabled = true;
	document.addform.add_login.style.background = '#DDDDDD';
	document.addform.add_login.disabled = true;
	// after
	document.addform.cb_acc4.style.background = '#DDDDDD';
	document.addform.cb_acc4.disabled = true;
	document.addform.add_days.style.background = '#DDDDDD';
	document.addform.add_days.disabled = true;
	document.addform.select_add_timeleft.style.background = '#DDDDDD';
	document.addform.select_add_timeleft.disabled = true;
	// data transfer counter option
	document.addform.bwcountUL[3].style.background = '#DDDDDD';
	document.addform.bwcountUL[3].disabled = true;
	document.addform.bwquotaUL.style.background = '#DDDDDD';
	document.addform.bwquotaUL.disabled = true;
	document.addform.bwcount[3].style.background = '#DDDDDD';
	document.addform.bwcount[3].disabled = true;
	document.addform.bwquota.style.background = '#DDDDDD';
	document.addform.bwquota.disabled = true;
	document.addform.bwcountSHA[2].style.background = '#DDDDDD';
	document.addform.bwcountSHA[2].disabled = true;
	document.addform.bwquotaSHA.style.background = '#DDDDDD';
	document.addform.bwquotaSHA.disabled = true;
	// reset data transfer counter
	document.addform.add_usr_abw_rm[0].style.background = '#DDDDDD';
	document.addform.add_usr_abw_rm[0].disabled = true;
	document.addform.add_usr_abw_rm[1].style.background = '#DDDDDD';
	document.addform.add_usr_abw_rm[1].disabled = true;
	document.addform.add_usr_abw_rm[2].style.background = '#DDDDDD';
	document.addform.add_usr_abw_rm[2].disabled = true;
	document.addform.add_usr_abw_rm[3].style.background = '#DDDDDD';
	document.addform.add_usr_abw_rm[3].disabled = true;
	document.addform.add_usr_abw_rdate.style.background = '#DDDDDD';
	document.addform.add_usr_abw_rdate.disabled = true;
	document.addform.add_usr_abw_rp_1.style.background = '#DDDDDD';
	document.addform.add_usr_abw_rp_1.disabled = true;
	document.addform.add_usr_abw_rp_2.style.background = '#DDDDDD';
	document.addform.add_usr_abw_rp_2.disabled = true;
	document.addform.add_usr_resetabw_lastrbw_date.style.background = '#DDDDDD';
	document.addform.add_usr_resetabw_lastrbw_date.disabled = true;
	document.addform.add_usr_resetabw_lastrbw_time.style.background = '#DDDDDD';
	document.addform.add_usr_resetabw_lastrbw_time.disabled = true;
	// extra information
	document.addform.rsu[0].style.background = '#DDDDDD';
	document.addform.rsu[0].disabled = true;
	document.addform.rsu[1].style.background = '#DDDDDD';
	document.addform.rsu[1].disabled = true;
	// bind to first login mac
	document.addform.mac_map[0].style.background = '#DDDDDD';
	document.addform.mac_map[0].disabled = true;
	document.addform.mac_map[1].style.background = '#DDDDDD';
	document.addform.mac_map[1].disabled = true;
	document.addform.mac_map[2].style.background = '#DDDDDD';
	document.addform.mac_map[2].disabled = true;
	// free access
	document.addform.faflag[0].style.background = '#DDDDDD';
	document.addform.faflag[0].disabled = true;
	document.addform.faflag[1].style.background = '#DDDDDD';
	document.addform.faflag[1].disabled = true;
	// already used for sms
	document.addform.used[0].style.background = '#DDDDDD';
	document.addform.used[0].disabled = true;
	document.addform.used[1].style.background = '#DDDDDD';
	document.addform.used[1].disabled = true;
	// auto delete
	document.addform.autodel[0].style.background = '#DDDDDD';
	document.addform.autodel[0].disabled = true;
	document.addform.autodel[1].style.background = '#DDDDDD';
	document.addform.autodel[1].disabled = true;
	
	
	document.getElementById("cb_acc1_text").className = "dimcaptionbig";
	document.getElementById("cb_acc2_text").className = "dimcaptionbig";
	document.getElementById("cb_acc4_text").className = "dimcaptionbig";
	document.getElementById("bwcountUL_text4").className = "dimcaptionbig";
	document.getElementById("bwcount_text4").className = "dimcaptionbig";
	document.getElementById("bwcountSHA_text3").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_rm_col_1").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_rm_col_2").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_col_1").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_col_2").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_col_3").className = "dimcaptionbig";
	document.getElementById("add_usr_abw_col_4").className = "dimcaptionbig";
	document.getElementById("add_usr_resetabw_lastrbw_time_col_1").className = "dimcaptionbig";
	document.getElementById("add_usr_resetabw_lastrbw_time_col_2").className = "dimcaptionbig";
	document.getElementById("rsu_col_1").className = "dimcaptionbig";
	document.getElementById("rsu_col_2").className = "dimcaptionbig";
	document.getElementById("mac_map_col_1").className = "dimcaptionbig";
	document.getElementById("mac_map_col_2").className = "dimcaptionbig";
	document.getElementById("faflag_col_1").className = "dimcaptionbig";
	document.getElementById("faflag_col_2").className = "dimcaptionbig";
	document.getElementById("used_col_1").className = "dimcaptionbig";
	document.getElementById("used_col_2").className = "dimcaptionbig";
	document.getElementById("autodel_col_1").className = "dimcaptionbig";
	document.getElementById("autodel_col_2").className = "dimcaptionbig";
} else {
	document.addform.multiple_login_max_limit.value = '';
	document.addform.multiple_login_max_limit.style.background = '#DDDDDD';
	document.addform.multiple_login_max_limit.disabled = true;
	// undim and enable features or attributes which do not support in Multiple Logins
	// access minute
	document.addform.cb_acc1.style.background = '#FFFFFF';
	document.addform.cb_acc1.disabled = false;
	document.addform.add_timeleft.style.background = '#FFFFFF';
	// logins limit
	document.addform.cb_acc2.style.background = '#FFFFFF';
	document.addform.cb_acc2.disabled = false;
	document.addform.add_login.style.background = '#FFFFFF';
	// after
	document.addform.cb_acc4.style.background = '#FFFFFF';
	document.addform.cb_acc4.disabled = false;
	document.addform.add_days.style.background = '#FFFFFF';
	document.addform.select_add_timeleft.style.background = '#FFFFFF';
	addExpireAcc(6); // special
	// data transfer counter option
	document.addform.bwcountUL[3].style.background = '#FFFFFF';
	document.addform.bwcountUL[3].disabled = false;
	document.addform.bwquotaUL.style.background = '#FFFFFF';
	document.addform.bwcount[3].style.background = '#FFFFFF';
	document.addform.bwcount[3].disabled = false;
	document.addform.bwquota.style.background = '#FFFFFF';
	document.addform.bwcountSHA[2].style.background = '#FFFFFF';
	document.addform.bwcountSHA[2].disabled = false;
	document.addform.bwquotaSHA.style.background = '#FFFFFF';
	if (document.addform.bwcountUL[3].checked == true) {
		document.addform.bwquotaUL.disabled = false;
	}
	if (document.addform.bwcount[3].checked == true) {
		document.addform.bwquota.disabled = false;
	}
	if (document.addform.bwcountSHA[2].checked == true) {
		document.addform.bwquotaSHA.disabled = false;
	}
	// reset data transfer counter
	document.addform.add_usr_abw_rm[0].style.background = '#FFFFFF';
	document.addform.add_usr_abw_rm[0].disabled = false;
	document.addform.add_usr_abw_rm[1].style.background = '#FFFFFF';
	document.addform.add_usr_abw_rm[1].disabled = false;
	document.addform.add_usr_abw_rm[2].style.background = '#FFFFFF';
	document.addform.add_usr_abw_rm[2].disabled = false;
	document.addform.add_usr_abw_rm[3].style.background = '#FFFFFF';
	document.addform.add_usr_abw_rm[3].disabled = false;
	document.addform.add_usr_abw_rdate.style.background = '#FFFFFF';
	document.addform.add_usr_abw_rdate.disabled = false;
	document.addform.add_usr_abw_rp_1.style.background = '#FFFFFF';
	document.addform.add_usr_abw_rp_1.disabled = false;
	document.addform.add_usr_abw_rp_2.style.background = '#FFFFFF';
	document.addform.add_usr_abw_rp_2.disabled = false;
	document.addform.add_usr_resetabw_lastrbw_date.style.background = '#FFFFFF';
	document.addform.add_usr_resetabw_lastrbw_date.disabled = false;
	document.addform.add_usr_resetabw_lastrbw_time.style.background = '#FFFFFF';
	document.addform.add_usr_resetabw_lastrbw_time.disabled = false;
	// extra information
	document.addform.rsu[0].style.background = '#FFFFFF';
	document.addform.rsu[0].disabled = false;
	document.addform.rsu[1].style.background = '#FFFFFF';
	document.addform.rsu[1].disabled = false;
	// bind to first login mac
	document.addform.mac_map[0].style.background = '#FFFFFF';
	document.addform.mac_map[0].disabled = false;
	document.addform.mac_map[1].style.background = '#FFFFFF';
	document.addform.mac_map[1].disabled = false;
	document.addform.mac_map[2].style.background = '#FFFFFF';
	document.addform.mac_map[2].disabled = false;
	// free access
	document.addform.faflag[0].style.background = '#FFFFFF';
	document.addform.faflag[0].disabled = false;
	document.addform.faflag[1].style.background = '#FFFFFF';
	document.addform.faflag[1].disabled = false;
	// already used for sms
	document.addform.used[0].style.background = '#FFFFFF';
	document.addform.used[0].disabled = false;
	document.addform.used[1].style.background = '#FFFFFF';
	document.addform.used[1].disabled = false;
	// auto delete
	document.addform.autodel[0].style.background = '#FFFFFF';
	document.addform.autodel[0].disabled = false;
	document.addform.autodel[1].style.background = '#FFFFFF';
	document.addform.autodel[1].disabled = false;
	document.getElementById("cb_acc1_text").className = "captionbig";
	document.getElementById("cb_acc2_text").className = "captionbig";
	document.getElementById("cb_acc4_text").className = "captionbig";
	document.getElementById("bwcountUL_text4").className = "captionbig";
	document.getElementById("bwcount_text4").className = "captionbig";
	document.getElementById("bwcountSHA_text3").className = "captionbig";
	document.getElementById("add_usr_abw_rm_col_1").className = "captionbig";
	document.getElementById("add_usr_abw_rm_col_2").className = "captionbig";
	document.getElementById("add_usr_abw_col_1").className = "captionbig";
	document.getElementById("add_usr_abw_col_2").className = "captionbig";
	document.getElementById("add_usr_abw_col_3").className = "captionbig";
	document.getElementById("add_usr_abw_col_4").className = "captionbig";
	document.getElementById("add_usr_resetabw_lastrbw_time_col_1").className = "captionbig";
	document.getElementById("add_usr_resetabw_lastrbw_time_col_2").className = "captionbig";
	document.getElementById("rsu_col_1").className = "captionbig";
	document.getElementById("rsu_col_2").className = "captionbig";
	document.getElementById("mac_map_col_1").className = "captionbig";
	document.getElementById("mac_map_col_2").className = "captionbig";
	document.getElementById("faflag_col_1").className = "captionbig";
	document.getElementById("faflag_col_2").className = "captionbig";
	document.getElementById("used_col_1").className = "captionbig";
	document.getElementById("used_col_2").className = "captionbig";
	document.getElementById("autodel_col_1").className = "captionbig";
	document.getElementById("autodel_col_2").className = "captionbig";
}

}
	</script>
		<td width="35%" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_multiple_login'));?></td>
		<td width="65%"> <input disabled type="checkbox" name="multiple_login" id="multiple_login" value="on" onClick="updateMultiLoginV()">
		<?=get_cm_var('setcfg_users_multiple_login_max_limit')?> 
		<input class="moreshorttextbox" type="text" name="multiple_login_max_limit" id="multiple_login_max_limit" maxlength="10" value="" onKeyPress="return numbersonly(this,event)" disabled>
		<?=get_cm_var('setcfg_users_multiple_login_warn')?>
		</td>
	</tr>
	
	<tr><td colspan="2"><br></td></tr>
	<tr valign="top"><td class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_account_status'));?></td>
		<td class="captionbig">
		<input type="radio" name="bt_plan_status" value="0"><?=get_cm_var('setcfg_plans_account_enable'); ?> <br>
		<input type="radio" name="bt_plan_status" value="1"><?=get_cm_var('setcfg_plans_account_disable'); ?>
		</td>
	</tr>

	<tr><td colspan="2"><br></td></tr>
	<tr valign="top"><td class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_activate_account'));?></td>
		<td class="captionbig">
		<input type="radio" name="bt_act_acc" value="0" onClick="activateAcc('0')" ><?=get_cm_var('setcfg_plans_account_is_created'); ?> <br>
		<input type="radio" name="bt_act_acc" value="1" onClick="activateAcc('1')"><?=get_cm_var('setcfg_plans_first_login'); ?> <br>
		<input type="radio" name="bt_act_acc" value="2" onClick="activateAcc('2')"><?=get_cm_var('setcfg_plans_date'); ?>
		<input class="shorttextbox format-m-d-y divider-dash highlight-days-12" type="text" name="act_date" maxlength="10" value="">&nbsp;
		<input class="timetextbox" type="text" name="act_time" maxlength="5" value=""><br>
		<?=get_cm_var('setcfg_recur_name')?>&nbsp;
		<input type="radio" name="plans_recur_option" value="1" onClick="plans_recur_disabled(this)" disabled><?=get_cm_var('setcfg_recur_option_on')?>&nbsp;
		<input type="radio" name="plans_recur_option" value="0" onClick="plans_recur_disabled(this)" checked disabled><?=get_cm_var('setcfg_recur_option_off')?>&nbsp;<br />
		<tr id="plans_schedule" style="display: 'none'">
		<td class="captionbig"></td>
		<td class="captionbig">
			<input type="checkbox" name="plans_cb_mon" value="2"><?=get_cm_var('setcfg_mon')?>&nbsp;
			<input type="checkbox" name="plans_cb_tue" value="4"><?=get_cm_var('setcfg_tue')?>&nbsp;
			<input type="checkbox" name="plans_cb_wed" value="8"><?=get_cm_var('setcfg_wed')?>&nbsp;
			<input type="checkbox" name="plans_cb_thr" value="16"><?=get_cm_var('setcfg_thr')?>&nbsp;<br>
			<input type="checkbox" name="plans_cb_fri" value="32"><?=get_cm_var('setcfg_fri')?>&nbsp;
			<input type="checkbox" name="plans_cb_sat" value="64"><?=get_cm_var('setcfg_sat')?>&nbsp;
			<input type="checkbox" name="plans_cb_sun" value="1"><?=get_cm_var('setcfg_sun')?>&nbsp;<br>
			<?=get_cm_var('setcfg_recur_start_end_time')?>&nbsp;<br />
			<?=get_cm_var('setcfg_recur_time_format')?>&nbsp;<br>
			<input class="shorttextbox" type="text" name="plans_recur_stime" maxlength="5" value"" style="width:65px"> -
			<input class="shorttextbox" type="text" name="plans_recur_etime" maxlength="5" value"" style="width:65px">
		</td>
		</tr>
		</td>
	</tr>

<?php /**************************************************** Reset Option ******************************************/ ?>
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_resetopt_enabled'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="reset_opt" value="y" disabled />
			<?=get_cm_var('setcfg_resetopt_yes')?>
			<input type="radio" name="reset_opt" value="n" disabled checked />
			<?=get_cm_var('setcfg_resetopt_no')?>
		</td>
	</tr>

<?php /**************************************************** Account Activation ******************************************/ ?>
	<tr><td colspan="2"><br></td></tr>
	<tr valign="top"><td id="expireAcc" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_expire_account'));?></td>
		<td class="captionbig">
		<input type="checkbox" name="cb_exp_acc0" value="0" onClick="expireAcc('0')"><?=get_cm_var('setcfg_plans_never'); ?><br>
		<input type="checkbox" name="cb_exp_acc1" id="cb_exp_acc1" value="1" onClick="expireAcc('1')"><?=get_cm_var('setcfg_plans_timeleft'); ?>&nbsp;<input class="shorttextbox" type="text" name="exp_timeleft" maxlength="10" value=""></br>
		<input type="checkbox" name="cb_exp_acc2" id="cb_exp_acc2" value="2" onClick="expireAcc('2')"><?=get_cm_var('setcfg_plans_login'); ?>&nbsp;<input class="shorttextbox" type="text" name="exp_login" maxlength="10" value=""></br>
		<input type="checkbox" name="cb_exp_acc3" value="3" onClick="expireAcc('3')"><?=get_cm_var('setcfg_plans_on_date'); ?>&nbsp;<input class="shorttextbox format-m-d-y divider-dash highlight-days-12 " type="text" name="exp_date" maxlength="10" value="">&nbsp;<input class="timetextbox" type="text" name="exp_time" maxlength="5" value=""></br>
		<input type="checkbox" name="cb_exp_acc4" value="4" onClick="expireAcc('4')"><?=get_cm_var('setcfg_plans_minutes'); ?>&nbsp;<input class="shorttextbox" type="text" name="exp_days" maxlength="8" value="">&nbsp;<select NAME="select_exp_timeleft"><option VALUE="min">Minute(s)<option VALUE="hour">Hour(s)<option VALUE="day">Day(s)</select></br>
		<input type="checkbox" name="cb_exp_acc5" value="5" onClick="expireAcc('5')"><?=get_cm_var('setcfg_expire_month_text'); ?>&nbsp;
		<select NAME="select_expire_month">
		<?
			for($i = 1; $i<=12; $i++){
				echo '<option VALUE="'.$i.'">'.get_cm_var("setcfg_expire_month_val".$i);
			}
		?>
		</select>
		<input class="timetextbox" type="text" name="expire_year" maxlength="4" value="" onKeyPress="return numbersonly(this,event)" disabled><?=get_cm_var('setcfg_expire_month_text2')?>&nbsp;
		</td>
	</tr>

	<tr><td colspan="2"><br></td></tr>
	<tr valign="top"><td class="captionbig"><?php gen_search_feature($version_star.get_cm_var('setcfg_plans_bt'));?></td>
		<td class="captionbig">
		<input type="radio" name="plan_bt_mode" value="0" onClick="planrbtn('0')"><?=get_cm_var('setcfg_plans_no_throttling'); ?><br>
		<input type="radio" name="plan_bt_mode" value="1" onClick="planrbtn('1')"><?=get_cm_var('setcfg_plans_low'); ?>(~<?=$bt_num_low?> KBytes/s)<br>
		<input type="radio" name="plan_bt_mode" value="2" onClick="planrbtn('2')"><?=get_cm_var('setcfg_plans_medium'); ?>(~<?=$bt_num_medium?> KBytes/s)<br>
		<input type="radio" name="plan_bt_mode" value="3" onClick="planrbtn('3')"><?=get_cm_var('setcfg_plans_high'); ?>(~<?=$bt_num_high?> KBytes/s)<br>
		<input type="radio" name="plan_bt_mode" value="4" onClick="planrbtn('4')"><?=get_cm_var('setcfg_plans_use_global_setting1'); ?><br>
		<input type="radio" name="plan_bt_mode" value="5" onClick="planrbtn('5')"><?=get_cm_var('setcfg_plans_upload'); ?><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="plan_bt_num" maxlength="10" value="" style="width:150px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;"> <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=get_cm_var('setcfg_plans_download'); ?><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="plan_bt_num_dl" maxlength="10" value="" style="width:150px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;">
		</td>
	</tr>

<?php /**************************************************** UPLOAD REPORT ******************************************/ ?>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_ul'));?></td></tr>
	<tr valign="top">
		<td class="captionbig"><?php gen_search_feature($version_star.get_cm_var('setcfg_plans_bandwith_counting_option'));?></td>
		<td class="captionbig">
		<input type="radio" name="plan_bwcountUL" value="-1" onClick="planbwparamUL('-1')"><?=get_cm_var('setcfg_plans_global_counting')?><br>
		<input type="radio" name="plan_bwcountUL" value="0" onClick="planbwparamUL('0')"><?=get_cm_var('setcfg_plans_disable_counting')?><br>
		<input type="radio" name="plan_bwcountUL" value="1" onClick="planbwparamUL('1')"><?=get_cm_var('setcfg_plans_enable_counting')?><br>
		<input type="radio" name="plan_bwcountUL" value="2" onClick="planbwparamUL('2')"><font id="bwcountUL_color"><?=get_cm_var('setcfg_plans_enable_counting_and_quota')?></font>
		</td>
	</tr>
	<tr>
		<td class="captionbig"><?=get_cm_var('setcfg_plans_bandwidth_quota')?>&nbsp;</td>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="plan_bwquota1UL" id="plan_bwquota1UL" maxlength="10" value="" style="width:100px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;" onKeyPress="return numbersonly(this,event)"></td>
	</tr>

<?php /**************************************************** DOWNLOAD REPORT ******************************************/ ?>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_dl'));?></td></tr>
	<tr valign="top">
		<td class="captionbig"><?=$version_star.get_cm_var('setcfg_plans_bandwith_counting_option')?></td>
		<td class="captionbig">
		<input type="radio" name="plan_bwcount" value="-1" onClick="planbwparam('-1')"><?=get_cm_var('setcfg_plans_global_counting')?><br>
		<input type="radio" name="plan_bwcount" value="0" onClick="planbwparam('0')"><?=get_cm_var('setcfg_plans_disable_counting')?><br>
		<input type="radio" name="plan_bwcount" value="1" onClick="planbwparam('1')"><?=get_cm_var('setcfg_plans_enable_counting')?><br>
		<input type="radio" name="plan_bwcount" value="2" onClick="planbwparam('2')"><font id="bwcount_color"><?=get_cm_var('setcfg_plans_enable_counting_and_quota')?></font>
		</td>
	</tr>
	<tr>
		<td class="captionbig"><?=get_cm_var('setcfg_plans_bandwidth_quota')?>&nbsp;</td>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="plan_bwquota1" id="plan_bwquota1" maxlength="10" value="" style="width:100px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;" onKeyPress="return numbersonly(this,event)"></td>
	</tr>

	
<?php /**************************************************** TOTAL REPORT ******************************************/ ?>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_tl'));?></td></tr>
	<tr valign="top">
		<td class="captionbig"><?=$version_star.get_cm_var('setcfg_plans_bandwith_counting_option')?></td>
		<td class="captionbig">
		<input type="radio" name="plan_bwcountSHA" value="0" onClick="planbwparamSHA('0')"><?=get_cm_var('setcfg_plans_disable_counting')?><br>
		<input type="radio" name="plan_bwcountSHA" value="1" onClick="planbwparamSHA('1')"><?=get_cm_var('setcfg_plans_enable_counting')?><br>
		<input type="radio" name="plan_bwcountSHA" value="2" onClick="planbwparamSHA('2')"><font id="bwcountSHA_color"><?=get_cm_var('setcfg_plans_enable_counting_and_quota')?></font>
		</td>
	</tr>
	<tr>
		<td class="captionbig"><?=get_cm_var('setcfg_plans_bandwidth_quota')?>&nbsp;</td>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="plan_bwquota1SHA" id="plan_bwquota1SHA" maxlength="10" value="" style="width:100px; border:1px solid #99D1A2; font-family:Tahoma; font-size:9pt; font-weight:bold; color:#003300;" onKeyPress="return numbersonly(this,event)"></td>
	</tr>	
	
	
<?php /**************************************************** Data transfer report reset ******************************************/ ?>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td valign="middle" class="captionbig"><?php gen_search_feature(get_cm_var('setcfg_plans_acc_bandwidth_reset_param'));?></td>
		<td valign="top" class="captionbig">
		<input type="radio" name="plan_usr_abw_rm" id="plan_usr_abw_rm[0]" value="0" onclick="plan_usr_abw_disable_all()"><?=get_cm_var('setcfg_users_quota_disable');?><input type="radio" name="plan_usr_abw_rm" id="plan_usr_abw_rm[1]" value="1" onclick="plan_usr_abw_enable_textbox()"><?=get_cm_var('setcfg_users_monthly');?>
		<input type="radio" name="plan_usr_abw_rm" id="plan_usr_abw_rm[2]" value="2" onclick="plan_usr_abw_disable_textbox()"><?=get_cm_var('setcfg_users_daily');?><input type="radio" name="plan_usr_abw_rm" id="plan_usr_abw_rm[3]" value="3" onclick="plan_usr_abw_disable_all()"><?=get_cm_var('setcfg_users_quota_use_global_setting');?>
		</td>
	</tr>
<?php
	$plan_usr_resetabw_monthly_default = 'none';
	$plan_usr_resetabw_daily_default = 'none';

	$input = get_cm_var('setcfg_users_resetabw_monthly_str1').'
			<input type="text" name="plan_usr_abw_rdate" maxlength="2" value="" class="shorttextbox" style="width:20px;" onKeyPress="return numbersonly(this,event)"  onfocus="this.select()">'.get_cm_var('setcfg_users_resetabw_monthly_str2').'
			<input type="text" name="plan_usr_abw_rp_1" maxlength="2" value="" class="shorttextbox" style="width:20px;" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">'.get_cm_var('setcfg_users_resetabw_monthly_str3');

	gen_invisible_line3(get_cm_var('setcfg_users_resetabw_title'),$input,'plan_usr_resetabw_monthly',$plan_usr_resetabw_monthly_default);

	$input = get_cm_var('setcfg_users_resetabw_daily_str1').'
			<input type="text" name="plan_usr_abw_rp_2" maxlength="3" value="" class="shorttextbox" style="width:30px;" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">'.get_cm_var('setcfg_users_resetabw_daily_str2');

	gen_invisible_line3(get_cm_var('setcfg_users_resetabw_title'),$input,'plan_usr_resetabw_daily',$plan_usr_resetabw_daily_default);
?>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_acl'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="plan_acl" value="y" disabled>
			<?=get_cm_var('setcfg_users_acl_y')?>
			<input type="radio" name="plan_acl" value="n" disabled checked>
			<?=get_cm_var('setcfg_users_acl_n')?>
		</td>
	</tr>
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_rsu'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="plan_signup" id="plan_signup[0]" value="y" disabled />
			<?=get_cm_var('setcfg_users_rsu_y')?>
			<input type="radio" name="plan_signup" id="plan_signup[1]" value="n" disabled checked />
			<?=get_cm_var('setcfg_users_rsu_n')?>
		</td>
	</tr>
	<!-- MAC mapping -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_mac_map_enabled'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="mac_map" id="mac_map[0]" value="1"  disabled />
			<?=get_cm_var('setcfg_mac_map_yes')?>
			<input type="radio" name="mac_map" id="mac_map[1]" value="0"  disabled checked />
			<?=get_cm_var('setcfg_mac_map_no')?><br>
			<input type="radio" name="mac_map" id="mac_map[2]" value="2"  disabled />
			<?=get_cm_var('setcfg_mac_map_passive')?>
		</td>
	</tr>
	<!-- IP mapping -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_ip_map_enabled'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="ip_map" value="y" disabled />
			<?=get_cm_var('setcfg_ip_map_yes')?>
			<input type="radio" name="ip_map" value="n" disabled checked />
			<?=get_cm_var('setcfg_ip_map_no')?>
		</td>
	</tr>
	<!-- Port Filtering Rules Set -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_port_filtering_apply'));?>
		</td>
		<td class="captionbig">
<?php
	$settingobj = new COM('FSCONFIG.Cfgmgr') or die('setfree.php FSCONFIG.Cfgmgr Object cannot be created!');
	$setNum = $settingobj->getKey('user_pf_size', 'UserPortFilter');
	$setData = $comma = '';
	for ($i = 1; $i <= $setNum; $i++) {
		$key = $settingobj->getKey("flt_num{$i}_name", 'UserPortFilter');
		$setData .= $comma . htmlspecialchars($key);
		$comma = '`';
	}
?>
			<input type="hidden" name="portflt_set" value="<?=$setData?>" />
			<input type="text" name="portflt" value="" disabled /> <span id="portflt_msgbx" style="font-weight: bold; color: red;"></span>
		</td>
	</tr>
	<!--login segment-->
<?php
		$plan_login_segment_default = '';
			
		$settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');
		$local_ip = $settingobj->getKey('gateway_IP', 'gateway');
		$local_mask = $settingobj->getKey('subnet_mask', 'gateway');
		$num_return_path = $settingobj->getKey('num_return_path', 'MNS');

		$tmp_num = '0'.trim($num_return_path);
		$num = (int)$tmp_num;

		$arr_opt = array();
		$return_path = array();
		$i = 0;
		while ($i < $num) {
			$return_path[$i] = $settingobj->getKey("return_path$i", 'MNS');
			$strarray = split(' ', trim($return_path[$i]));
			$arr_opt[$i] = ($i+1).': '.$lang['setcfg_multi_net_seg_router_IP'].'='.$strarray[0].', '.$lang['setcfg_multi_net_seg_subnet_mask'].'='.$strarray[1];
			$i++;
		}
		$settingobj = null;
		
		$subInput = '';
		$subInput  .= '<option VALUE="-1">'.$lang['setcfg_segment_map_login_segment_opt'];
		$subInput  .= '<option VALUE="0">'.$lang['setcfg_segment_map_login_segment_opt0']." (".$lang['setcfg_segment_map_login_segment_opt0_text1'].'='.$local_ip.', '.$lang['setcfg_segment_map_login_segment_opt0_text2'].'='.$local_mask.")";;
		$j = 0;
		
		while ($j < 20) { // hard code limit 
			if  ($j < $num)
				$subInput  .= "<option VALUE=\"".($j+1)."\">$arr_opt[$j]";
			else
				$subInput  .= "<option VALUE=\"".($j+1)."\">".($j+1).": ";
			$j++;
		}
		
		$input = '<select NAME="select_plan_login_segment" disabled>'.$subInput.'</select>';
		gen_invisible_line3(get_cm_var('setcfg_plans_segment_map_login_segment_title'),$input,'plan_login_segment',$plan_login_segment_default);
		
?>
	<!-- Free Access User -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_free_access_user'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="faflag" id="faflag[0]" value="1" disabled /> <?=get_cm_var('setcfg_free_access_user_yes')?> <input type="radio" name="faflag" id="faflag[1]" value="0" disabled checked="checked" /> <?=get_cm_var('setcfg_free_access_user_no')?> 
		</td>
	</tr>

	<!-- //\\ Login Change Password -->
	<tr id="lcpwspace"><td colspan="2">&nbsp;</td></tr>
	<tr id="lcpwoption">
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_login_cpw'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="login_cpw" value="1" disabled /> <?=get_cm_var('setcfg_login_cpw_yes')?>
			<input type="radio" name="login_cpw" value="0" disabled checked="checked" /> <?=get_cm_var('setcfg_login_cpw_no')?> 
		</td>
	</tr>

	<!-- Auto del -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td class="captionbig">
			<?php gen_search_feature(get_cm_var('setcfg_plans_auto_del_enabled'));?>
		</td>
		<td class="captionbig">
			<input type="radio" name="plan_autodel" id="plan_autodel[0]" value="y" disabled checked />
			<?=get_cm_var('setcfg_auto_del_yes')?>
			<input type="radio" name="plan_autodel" id="plan_autodel[1]" value="n" disabled />
			<?=get_cm_var('setcfg_auto_del_no')?>
		</td>
	</tr>
	
	<tr>
		<td width="100%" colspan="2" valign="top" height="10">&nbsp;</td>
	</tr>
	<div id="saveCancel" style="position:absolute; z-index: 100; display: none;">
		<input type="submit" value="<?=get_cm_var('setcfg_plans_btn_save')?>" title="Save" class="graphicBtn">
		<input type="button" value="<?=get_cm_var('setcfg_plans_btn_cancel')?>" title="Cancel" onClick="onCancel()" class="graphicBtn">
	</div>
	<input type="hidden" name="plan_session_handling" value="<?=$session_handling?>"> 
	</table>
	</form>
	
	<script type="text/javascript">
	//\\ 20121101 >>> 000 - Keep Save and Cancel Button at right bottom
		var ns=(document.layers);
		var ie=(document.all);
		var w3=(document.getElementById && !ie);
	
	function initSCbtn(){
		if(!ns && !ie && !w3) return;
		if(ie) SCDiv=eval('document.all.saveCancel.style');
		else if(ns) SCDiv=eval('document.layers["saveCancel"]');
		else if(w3) SCDiv=eval('document.getElementById("saveCancel").style');
		
		showSCbtn();
	}
	function showSCbtn(){
		
		if (ie){
			documentWidth =document.body.offsetWidth - 210;
			documentHeight =document.body.offsetHeight+document.body.scrollTop-60;
		}
		else if (ns){
			documentWidth=window.innerWidth - 220;
			documentHeight=window.innerHeight+window.pageYOffset-60;
		}
		else if (w3){
			documentWidth=self.innerWidth - 220;
			documentHeight=self.innerHeight+window.pageYOffset-60;
		}
		
		SCDiv.left=documentWidth;
		SCDiv.top =documentHeight;
		
		setTimeout("showSCbtn()",100);
	}
	
	onload = initSCbtn();
	</script>
	
	</td>
	</tr>

	<tr>
		<td width="100%" colspan="5" valign="top" height="15"><img src="./images/blank.gif" border="0" width="3" height="15"></td>
	</tr>
	
<?php 
if (isset($_SERVER['HTTP_REFERER']))
	search_scroll($HTTP_REFERER);
		?>
