<?

// 20090429 - Re-design layout and obtain information directly from CSV file, refer urllog_entry.php for further details

include("secureLogin.php");
include_once("..\\authserv\\common_functions.php");
include_once("cmvar.php");

// create COM object
$settingobj		= new COM("FSCONFIG.Cfgmgr") or die("urllog.php FSCONFIG.Cfgmgr Object cannot be created!");
$isAnony		= $settingobj->getKey( "anonymous_login", "gateway");
$showSrcPort	= ($settingobj->getKey('showSrcPort', 'URLTracking')!=0);
$settingobj		= null;

// Column width
$nameWidth = "18%";
$loginTimeWidth = "16%";
$macAddrWidth = "12%";
$ipAddrWidth = "12%";
$destPortWidth = "8%";
$destIpAddrWidth = "12%";
$urlWidth = "22%";

?>
<html>
<head>
<title>Show URL Log</title>
<link href="dhcp.css" rel="stylesheet" type="text/css" />
<style type="text/css">
	table {
		font-family: Arial, sans-serif;
		font-size: 10pt;
	}

	table.border {
		border-collapse: collapse;
		border-color: #99D1A2;
		border-style: solid;
		border-width: 1px 0px 0px 1px;
	}

	table.border td {
		border-collapse: collapse;
		border-color: #99D1A2;
		border-style: solid;
		border-width: 0px 1px 0px 0px;
	}

	.title {
		background-image: url(images/tblhd_light.png);
		cursor: hand;
		cursor: pointer;
		font-weight: bold;
		height: 40px;
		width: 100%;
		padding-left: 5px;
	}

	.unselected {
		color: black;
	}

	.selected {
		color: green;
	}

	.entryBorder {
		border-collapse: collapse;
		border-color: #99D1A2;
		border-style: solid;
		border-width: 1px 1px 1px 1px;
	}
</style>
<script type="text/javascript" src="./javascript/loadingBox.js"></script>
<script type="text/javascript" src="./javascript/url_log.js"></script>
<script type="text/javascript">
	var ie = document.all;
	var ns = document.layers;
	var w3 = document.getElementById && !ie;

	function InitBtn()
	{
		if (!ie && !ns && !w3) {
			return;
		}
		if (ie) {
			loadingBoxDiv = eval('document.all.loadingBox.style');
		} else if (ns) {
			loadingBoxDiv = eval('document.layers["loadingBox"]');
		} else if (w3) {
			loadingBoxDiv = eval('document.getElementById("loadingBox").style');
		}
		ShowLoadingBox();
	}

	function ShowLoadingBox()
	{
		if (ie) {
			documentHeight = document.body.scrollTop;
		} else if (ns) {
			documentHeight = window.innerHeight + window.pageYOffset - 50;
		} else if (w3) {
			documentHeight = self.pageYOffset;
		}
		loadingBoxDiv.right = 0;
		loadingBoxDiv.top = documentHeight;
		setTimeout("ShowLoadingBox()", 100);
	}
</script>
</head>
<body onresize="AutoIframe('urllog_entry_frame');">
<script type="text/javascript">onload=InitBtn;</script>
<div id="loadingBox" class="loadingBoxBright" style="position:absolute; z-index:100;">
	<div id="loadingBoxText"></div>
</div>
<script type="text/javascript">
	var gloMessage = new Object();
	gloMessage.setcfg_url_loading = "<?=get_cm_var('setcfg_url_loading')?>";
	CallURLLoadingBox(true);
</script>

<script type="text/javascript">
function switchShowLogsMode(mode) {
	document.getElementById('most_recent_box').style.display = mode == 'most_recent' ? '' : 'none';
	document.getElementById('date_range_box').style.display = mode == 'date_range' ? '' : 'none';
	document.getElementById('show_all_box').style.display = mode == 'show_all' ? '' : 'none';
}
function showLogs() {
	if (document.getElementById('show_log_according_to_most_recent').checked) {
		if (!document.getElementById('latest').value.match(/^[0-9]+$/, "m")) {
			alert('Please enter a number');
			return false;
		}
		CallURLLoadingBox(true);
		document.getElementById('urllog_entry_frame').src = 'urllog_entry.php?type=most_recent&num='+document.getElementById('latest').value;
	} else if (document.getElementById('show_log_according_to_date_range').checked) {
		if (!document.getElementById('start_date').value.match(/^[1-2]{0,1}[0-9]{3}-[0-2]{0,1}[0-9]{1}-[0-3]{0,1}[0-9]{1}$/, "m") || !document.getElementById('end_date').value.match(/^[1-2]{0,1}[0-9]{3}-[0-2]{0,1}[0-9]{1}-[0-3]{0,1}[0-9]{1}$/, "m")) {
			alert('Please enter a valid date of format (yyyy-mm-dd)');
			return false;
		}
		if (document.getElementById('start_date').value > document.getElementById('end_date').value) {
			alert('Start date should earily than or equal to end date');
			return false;
		}
		CallURLLoadingBox(true);
		document.getElementById('urllog_entry_frame').src = 'urllog_entry.php?type=date_range&start='+document.getElementById('start_date').value+'&end='+document.getElementById('end_date').value;
	} else {
		CallURLLoadingBox(true);
		document.getElementById('urllog_entry_frame').src = 'urllog_entry.php?type=date_range&start=1970-1-1&end=<?=date('Y-n-j')?>';
	}
	return false;
}
</script>
<div id="control_box" style="font-family: Arial; font-size: 12px; padding-bottom: 8px;">
	<form style="margin: 0px; padding: 0px;" onsubmit="javascript: return showLogs();">
		<span style="font-weight: bold;"><?=get_cm_var('setcfg_url_show_log_according_to')?></span> 
		<span style="font-size: 11px;">
			<label for="show_log_according_to_most_recent"><input type="radio" onclick="javascript: switchShowLogsMode(this.value);" id="show_log_according_to_most_recent" name="show_log_according_to" value="most_recent" /> <?=get_cm_var('setcfg_url_most_recent')?></label> 
			<label for="show_log_according_to_date_range"><input type="radio" onclick="javascript: switchShowLogsMode(this.value);" id="show_log_according_to_date_range" name="show_log_according_to" value="date_range" /> <?=get_cm_var('setcfg_url_date_range')?></label> 
			<label for="show_log_according_to_show_all"><input type="radio" onclick="javascript: switchShowLogsMode(this.value);" id="show_log_according_to_show_all" name="show_log_according_to" value="show_all" checked="checked" /> <?=get_cm_var('setcfg_url_show_all')?></label>
		</span>
		<div id="most_recent_box" style="padding-top: 8px; display: none;">
			<?=get_cm_var('setcfg_url_show_the_latest')?> <input type="text" id="latest" name="latest" value="500" size="6" style="height: 18px;" /> <?=get_cm_var('setcfg_url_log_entries')?>
			&nbsp; <input type="submit" name="submit" value="<?=get_cm_var('setcfg_url_refresh')?>" style="background: none repeat scroll 0 0 #DDDDDD; border: 1px solid #18A718; color: #003300; font-weight: bold; cursor: pointer; font-size: 10pt;" />
		</div>
		<div id="date_range_box" style="padding-top: 8px; display: none;">
			<?=get_cm_var('setcfg_url_show_log_from')?>
			<input type="text" id="start_date" name="start_date" value="<?=date('Y-n-j')?>" size="8" style="height: 18px;" />
			<?=get_cm_var('setcfg_url_to')?>
			<input type="text" id="end_date" name="end_date" value="<?=date('Y-n-j')?>" size="8" style="height: 18px;" /> (yyyy-mm-dd)
			&nbsp; <input type="submit" name="submit" value="<?=get_cm_var('setcfg_url_refresh')?>" style="background: none repeat scroll 0 0 #DDDDDD; border: 1px solid #18A718; color: #003300; font-weight: bold; cursor: pointer; font-size: 10pt;" />
		</div>
		<div id="show_all_box" style="padding-top: 8px; display: ;">
			<?=get_cm_var('setcfg_url_show_all_log_entries')?> <input type="submit" name="submit" value="<?=get_cm_var('setcfg_url_refresh')?>" style="background: none repeat scroll 0 0 #DDDDDD; border: 1px solid #18A718; color: #003300; font-weight: bold; cursor: pointer; font-size: 10pt;" />
		</div>
	</form>
</div>

<table width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td>
			<table class="border" width="100%" cellspacing="0" cellpadding="0">
				<tr class="title">
<?php

if (!strtolower($isAnony == 'on')) {

?>
					<td width="<?=$nameWidth?>" class="unselected" onClick="TitleClick(0)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_loginName')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
<?php

}
$sipKey = get_cm_var('setcfg_url_ip');
if($showSrcPort)
	$sipKey = get_cm_var('setcfg_url_ip_port');
	
?>
					<td width="<?=$loginTimeWidth?>" class="unselected" onClick="TitleClick(1)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_logTime')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
					<td width="<?=$macAddrWidth?>" class="unselected" onClick="TitleClick(2)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_mac')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
					<td width="<?=$ipAddrWidth?>" class="unselected" onClick="TitleClick(3)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=$sipKey?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
					<td width="<?=$destPortWidth?>" class="unselected" onClick="TitleClick(4)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_service')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
					<td width="<?=$destIpAddrWidth?>" class="unselected" onClick="TitleClick(5)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_destip')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
					<td width="<?=$urlWidth?>" class="unselected" onClick="TitleClick(6)" onMouseDown="UseBlackBg(this)" onMouseOut="UseLightBg(this)" onMouseOver="UseDarkBg(this)" onMouseUp="UseDarkBg(this)" sortStatus="0"><?=get_cm_var('setcfg_url_url')?>&nbsp;<img src="./images/up_tri.png" style="display:none" /></td>
				</tr>
			</table>
		</td>

		<td width="17px"></td>
	</tr>
	<tr>
		<td class="entryBorder" colspan="2">
			<iframe id="urllog_entry_frame" name="urllogEntryFrame" frameborder="0" width="100%" height="380px" src="urllog_entry.php" marginwidth="0" marginheight="0" class="bordered_frame" scrolling="yes" onload="AutoIframe('urllog_entry_frame');"></iframe>
		</td>
	</tr>
</table>
</body>
</html>
