function displayTrackTime(onoff)
{
	var display = onoff?'':'none';
	document.getElementById('ac_url_tracking').style.display		= display;
	document.getElementById('ac_url_tracking_log').style.display	= display;
	document.getElementById('ac_url_tracking_type').style.display	= display;
}

function displayPortFlt(onOff)
{
	var displayed = onOff?'':'none';
	document.form_add_port.port_to.disabled		= !onOff;
	document.form_add_port.port_from.disabled	= !onOff;
	document.form_add_port.menu_state.disabled	= !onOff;
	// show or hide port filter options by hard code
	document.getElementById('portFilterRow0').style.display			= displayed;
	document.getElementById('portFilterRow1').style.display			= displayed;
	document.getElementById('per_user_port_filtering').style.display	= displayed;
}

function acl_validate()
{
	var ip1,ip2,ip3,ip4,sn1,sn2,sn3,sn4;
	var valid = true;
	ip1 = document.form_acl_add.ip1.value;
	ip2 = document.form_acl_add.ip2.value;
	ip3 = document.form_acl_add.ip3.value;
	ip4 = document.form_acl_add.ip4.value;
	if (!checkIP(ip1,ip2,ip3,ip4)) {
		document.form_acl_add.ip1.select();
		valid = false;
		alert(glo_Message.js_alert_acl_ip);
		return valid;
	}

	sn1 = document.form_acl_add.subnet1.value;
	sn2 = document.form_acl_add.subnet2.value;
	sn3 = document.form_acl_add.subnet3.value;
	sn4 = document.form_acl_add.subnet4.value;

	// subnet mask 255.255.255.255 is valid for IP Block list - special case before using checkmask
	if (sn1==255 && sn2==255 && sn3==255 && sn4==255) {
		return true;
	}

	if (!checkmask(sn1,sn2,sn3,sn4)) {
		document.form_acl_add.subnet1.select();
		valid = false;
		alert(glo_Message.js_alert_acl_subnet);
		return valid;
	}

	return valid;
}
function validate_portflt()
{
	var portto = document.form_add_port.port_to.value;
	var portfrom = document.form_add_port.port_from.value;
	var isValid;

	if(portto == "" || portfrom == "") {
		isValid = false;
	} else if (portto>65535 || 0>portto || portfrom>65535 || 0>portfrom) {
		isValid = false;
	} else if ( parseInt(portfrom) > parseInt(portto) ) {
		alert(glo_Message.js_alert_port_filtering_0);
		isValid = false;
	} else {
		isValid = true;
	}
	return isValid;
}

// Control the ability of editing URL tracking port field
function SetEditURLTrackingPort(flagEdit)
{
	if (flagEdit == 1) {
	document.form_acl.url_tracking_port.disabled = false;
	} else {
	document.form_acl.url_tracking_port.disabled = true;
	}
}

// Block inputting any invalid characters in Customized port field of URL Tracking
function URLTrackingPortCharOnly(evt)
{
	var keyChar;
	var keyNum;

	if (document.all) {
	keyNum = evt.keyCode;
	} else {
	keyNum = evt.which;
	}
	keyChar = String.fromCharCode(keyNum);

	if (keyNum == null || keyNum == 0 || keyNum == 8 || keyNum == 9 || keyNum == 13 || keyNum == 27) {
	return true;
	} else if ((',-0123456789').indexOf(keyChar) > -1) {
	return true;
	} else {
	return false;
	}
}

//\\ 20130829 >>> 331 - Web Filtering UI use functions
function wf_adding(){
	if(!wf_validate())
		return;
	var wf_ifrm		= wf_get_iframe();
	var key			= document.getElementById('wf_web_key');
	if( wf_ifrm == 0 ){
		key.value	= 'Fail to add domain key';
		key.select();
		return;
	}
	wf_ifrm.wf_adder.web_key.value = document.getElementById('wf_web_key').value;
	wf_ifrm.wf_adder.page_scroll_top.value = wf_ifrm.body.scrollHeight;
	wf_ifrm.wf_adder.submit();
	key.value	='';
}

function wf_deleting(){
	var wf_ifrm	= wf_get_iframe();
	if( wf_ifrm == 0 )
		return;
	wf_ifrm.wf_deleter.page_scroll_top.value = wf_ifrm.body.scrollTop;
	wf_ifrm.wf_deleter.submit();
	return;
}

function wf_get_iframe(){
	var wf_ifrm	= document.getElementById('ifrm_wfilter');
	var wf_ifrm	= (wf_ifrm.contentWindow || wf_ifrm.contentDocument);
	if (wf_ifrm.document)
		return wf_ifrm.document;
	return 0;
}

function wf_validate(){
	var key		= document.getElementById('wf_web_key');
	if(key.value.match(/^[a-z0-9\*][a-z0-9\.\-]+[a-z0-9\*]$/)!=null)
		return true;
	key.value	= 'Wrong format of domain key';
	key.select();
	return false;
}

function checkWFTotal(){
	var wf_ifrm	= wf_get_iframe();
	if( wf_ifrm == 0 )
		return;
	if(wf_ifrm.wf_count.value < 1)
		displayWebFlt(false);
}

function displayWebFlt(onoff)
{
	var displayWF = onoff?'':'none';
	document.getElementById('webFilterRow0').style.display		= displayWF;
	document.getElementById('webFilterRow1').style.display		= displayWF;
	document.getElementById('webFilterRow2').style.display		= displayWF;
}

function countSListType(isChecked){
	if(isChecked)
		document.getElementById('countAllSL').value++;
	else
		document.getElementById('countAllSL').value--;
}

function selectAllSListType(selectAll)
{
	var counter		= 0;
	var continu		= true;
	var myElement;

	while(continu){
		myElement	= document.getElementById('shall_'+counter);
		if(typeof(myElement) != 'undefined' && myElement != null)
			myElement.checked	= selectAll;
		else
			continu	= false;
		counter++;
	}

	if(selectAll)
		document.getElementById('countAllSL').value = counter;
	else
		document.getElementById('countAllSL').value = 0;
}

function disableWFList(isDisabled){
	if(document.getElementById('wf_web_key') != null)
		document.getElementById('wf_web_key').disabled = !isDisabled;
	if(document.getElementById('wf_add_key') != null)
		document.getElementById('wf_add_key').disabled = !isDisabled;
	if(document.getElementById('wf_del_key') != null)
		document.getElementById('wf_del_key').disabled = !isDisabled;
	if(document.getElementById('ifrm_wfilter_block') != null)
		document.getElementById('ifrm_wfilter_block').style.display = isDisabled?'none':'block';
}

function disableSLList(isDisabled){
	var counter		= 0;
	var continu		= true;
	var myElement;

	while(continu){
		myElement	= document.getElementById('shall_'+counter);
		if(typeof(myElement) != 'undefined' && myElement != null)
			myElement.disabled	= !isDisabled;
		else
			continu	= false;
		counter++;
	}

	document.getElementById('selectAllSL').disabled = !isDisabled;
}