<?
 /*
 Samuel Pun [spun]
 20070221
 This php prints out a slip according to the array $slip
--------------------
$slip_users [i][j]
  i -- no. of users in the array
  j --
'username'
'password'
'bt_acc' : when the a/c is active [0, 1, 2]
'add_act_date' 	:  a/c active date
'add_act_time' 	: a/c active time
'bt_ul_limit'		: Bandwidth throttling:
'bt_dl_limit'		:
'bwcountUL'	 	: upload quota
	'bwquotaUL'
'bwcount' 		: download quota
	'bwquota'
'bwcountSha'	 	: total quota
	'bwquotaSha'
'cb_acc1'		: expires after air-time credit
	'add_timeleft'
'cb_acc2'		: expires after x login attempt
	'add_login'
'cb_acc3'		: expires after certain date/time
	'add_exp_date', 'add_exp_time'
'cb_acc4'		: expires after x days/hours/mins
	'add_days'
'printQuota'
'macmap'			: bind to 1st login address
'ipmap'			: real ip address mapping
'recurring1'		: recurring option, e.g. a/c is active every monday
	'days_str'
'loginseg'	: segment mapping
'emonth' & 'eyear' : expiry month

--------------------
 $slip_format[i]
 i --
 'pTitle'	: Header
 'pEnd' 		: Footer
 'pTitleSize'	: Header font size
 'pEndSize'	: Footer font size

 --------------------
 $users_per_page

 */
 
require_once 'secureLogin.php'; //prevent hacker from running this script by setting GET variables
include_once("cmvar.php");  // for get_cm_var function
if (!isset($users_per_page))
	$users_per_page = 4;
$num_pages = ceil(count($slip_users)/$users_per_page);

// 20081224 - Obtain login mode status
$settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');    
$scratch_login = (strtolower($settingobj->getKey('scratch_login', 'gateway') == 'on'))? 'true' : 'false';
$username_plus_scratch_login = (strtolower($settingobj->getKey('username_plus_scratch_login', 'gateway') == 'on'))? 'true' : 'false';
$local_ip = $settingobj->getKey('gateway_IP', 'gateway');
$local_mask = $settingobj->getKey('subnet_mask', 'gateway');
$num_return_path = $settingobj->getKey('num_return_path', 'MNS');

$tmp_num = '0'.trim($num_return_path);
$numOfMNS = (int)$tmp_num;

$arr_opt = array();
$return_path = array();
$i = 0;
while ($i < $numOfMNS) {
	$return_path[$i] = $settingobj->getKey("return_path$i", 'MNS');
	$strarray = split(' ', trim($return_path[$i]));
	$arr_opt[$i] = ($i+1).': '.$lang['setcfg_multi_net_seg_router_IP'].'='.$strarray[0].', '.$lang['setcfg_multi_net_seg_subnet_mask'].'='.$strarray[1];
	$i++;
}

$versionLanguage = $settingobj->getKey('versionLang', 'version');

$settingobj = null;

$temp_path = $temp_filename = $temp_file = $temp_file_local = null;

$no_of_users = count($slip_users); // no. of successfully created users

if($no_of_users > 0) { // At least one user is created
	$temp_path = $TEMP . "\\"; // Path of temp files (e.g. E:\WINDOWS\)
	
	/* Set the filename of temp file to be the username of first successfully created user
	 * But the maximum length of filename on Windows is 238
	 * So if the first username is longer than 230 characters, the first 200 characters will be used for the filename of the temp file
	 */
	$temp_filename = $slip_users[0]['username'];
	if(strlen($temp_filename) > 200) {
		$temp_filename = substr($temp_filename, 0, 200);
	}
	$temp_filename_local = $temp_filename . "-local";
	
	// Complete path to the temp file for popup window(e.g. C:\WINDOWS\temp\user01x.html)
	$temp_file = $temp_path.$temp_filename.".html";
	
	// Complete path to the temp file downloaded through slip_downoad.php (e.g. C:\WINDOWS\temp\user01x-local.html)
	$temp_file_local = $temp_path.$temp_filename_local.".html";
}


 /*<script language="javascript"><!--
	// var generator=window.open('','previewWindow','height=340,width=250', 'dependent=yes');
	// spun: added scrollbars - http://msdn.microsoft.com/workshop/author/dhtml/reference/methods/open_0.asp
	//var generator=window.open('','previewWindow','height=340,width=250,scrollbars=yes', 'dependent=yes' );
*/

	$pTitle = $slip_format['pTitle'];
	$pTitleSize =  $slip_format['pTitleSize'];
	$pEnd =  $slip_format['pEnd'];
	$pEndSize =  $slip_format['pEndSize'];
	$contents = "";
	$contents2 = "";

	$pTitle = stripslashes($pTitle);
	$pEnd = stripslashes($pEnd);
	
	if (strcasecmp($versionLanguage, "simplified chinese") == 0){
		// already in UTF-8
	}
	else{
		// prevent pTitle, pEnd contain Malformed UTF-8 characters, which will case json_encode() error
		$pTitle = utf8_encode($pTitle);
		$pEnd = utf8_encode($pEnd);
	}
	
	// spun: add pagination
	/* contents = contents + "<html>\n<head><title><?=get_cm_var('setcfg_users_popup_slip_title') ?><\/title><\/head>\n<body topmargin=0 leftmargin=0>\n\n";*/
	$contents = $contents . "<html>\n<head><title>".get_cm_var('setcfg_users_popup_slip_title')."</title></head>\n<body onload=\"display(1)\"topmargin=0 leftmargin=0>\n\n";

	$contents = $contents . "<STYLE TYPE=\"text/css\" MEDIA=\"print\">\n";
	$contents = $contents . "<!--\n";
	$contents = $contents . "div.printInvisible {display:none;}\n";
	$contents = $contents . "-->\n";
	$contents = $contents . "</STYLE>\n\n";

	// pagination css styles
	$contents = $contents . "<STYLE TYPE=\"text/css\">\n";
	$contents = $contents . "<!--\n";
	$contents .= "div.pages {display:none;}\n";	
	$contents .= "fieldset.pageMenu { font-family: Arial; font-size: x-small; background-color: #ffc;}\n";
	$contents .= "a.clickable { color:blue; cursor:pointer; text-decoration:underline; }\n"    ;
	$contents .= "a.nonclickable { color:black; }\n"    ;
	$contents .= "hr {border-color:blue;border-style:dashed none;border-width:1px 0pt;height:1px;margin:1px 0px 0pt 0pt;text-align:left;width:100%;}\n" ;
	$contents = $contents . "-->\n";
	$contents = $contents . "</STYLE>\n\n";


	$contents = $contents . "<script language=\"javascript\">\n";
	$contents = $contents .	"function doSaveAs(){\n";
	$contents = $contents . "if (navigator.appName == \"Microsoft Internet Explorer\"){\n";
	$contents = $contents . "this.document.execCommand(\"SaveAs\",false,\".html\");\n";
	$contents = $contents . "}else{\n";
	
	// If the page is loaded on server, "save as" will be redirected to slip_download.php for downloading the slip
	// If the page is loaded on local, "save as" button will be disabled to avoid indirect redirection (i.e. redirect to slip_download.php which is not existent on local)
	$contents_server = (($no_of_users > 0)? "window.location = \"slip_download.php?filename=".$temp_filename_local.".html"."\"":"alert(\"Empty List!\")").";}}\n\n";
	$contents_local = "alert(\"Save As is not available on local backup.\")".";}}\n\n";
	
	/*
	* pagination javascript display(id) function
	* - display correctly which page by changing CSS class of page_menu_num[i] and page_menu_num2_[i]
	* - copy the required page text to the <div id='content'>
	*/
	$contents2 .= "var page_count=".$num_pages.";\n";
	$contents2 .= "var current_page=1;\n"; 	// for 'next/previous' implementation later
	$contents2 .= "function display(page){\n";
	$contents2 .= "	if(page_count>=1) {";
	$contents2 .= "		var content = document.getElementById('content');\n";
	$contents2 .= "		var page_content=document.getElementById('page'+page);\n";
	$contents2 .= "		content.innerHTML = page_content.innerHTML;\n";
	$contents2 .= "		if(page_count>1) {";
	$contents2 .= "			for (var i=1; i<=page_count; i++) {\n";
	$contents2 .= "				document.getElementById('page_menu_num'+i).className = 'clickable'; \n";
	$contents2 .= "				document.getElementById('page_menu_num2_'+i).className = 'clickable'; \n";
	$contents2 .= "			}\n";
	$contents2 .= "			document.getElementById('page_menu_num'+page).className = 'nonclickable';\n";
	$contents2 .= "			document.getElementById('page_menu_num2_'+page).className = 'nonclickable';\n";
	$contents2 .= "		}";
	$contents2 .= "	}";
	$contents2 .= "}\n";
	$contents2 = $contents2 . "</script>\n\n\n";

	/*
	// print page menu if there are more than 1 page
	if ($num_pages > 1) {
		$contents2 .= "<div class=\"printInvisible\">\n";
		$contents2 .= "<table><tr><td align=\"center\"><fieldset class=\"pageMenu\">Page ";		
		for ($i=1; $i<=$num_pages; $i++ ){
			$contents2.= "<a onclick=\"javascript:display(".$i.");\" class=\"clickable\" id=\"page_menu_num".$i."\">".$i."</a>";
		}
		$contents2 .= "</fieldset></td></tr></table>\n</div>\n";
	}
	*/

	// pagination - content div
	$contents2 = $contents2 . "<div id=\"content\"></div>\n\n\n";

	$userDataArray = array();

	$user_count = 0;
	foreach ($slip_users as $user_info) {  // loop each user in the array
		$userData = '';
		$user_count ++;

		/*
		// pagination: start a new page
		if ($users_per_page == 1 || ($user_count % $users_per_page  == 1) ){
			if ($user_count >1 )  // end the previous page first if this is not 1st page
				$userData = $userData . "</div>\n\n\n\n";
				$userData .= "<div class=\"pages\" id=\"page".ceil($user_count/$users_per_page)."\">\n";
		}

		// add page break at the beginning if this item is not 1st item in a page, and don't print page break if only 1 user is displayed per page
		if ($users_per_page != 1 && ($user_count % $users_per_page  !=  1) ) {
			$userData = $userData . "<div style=\"page-break-before:always; clear: both;\"></div>\n";
			$userData .= "<div class=\"printInvisible\" align=\"center\" style=\"font-family:arial; font-size:xx-small; font-style:italic; color:blue; \">\n";
			$userData .= " Page break <hr></hr>\n";
			$userData .= "</div>\n";
		}
		*/

		$userData = $userData . "<div style='float: left; padding: 10px; margin: 5px; border: 1px solid #ccc;'><table>\n\n<tr>\n<td><font face=\"Arial\" size=\"".$pTitleSize."\" >&nbsp;".$pTitle."</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr>\n";
		$userData = $userData . "\n\n<tr>\n<td>";
		$userData = $userData . "<FIELDSET><LEGEND><font face=\"Arial\" size=\"1\">".get_cm_var('setcfg_users_popup_slip_boxtitle')."</font></LEGEND>";
		
		$isScratchCodeType = false;
		if ($username_plus_scratch_login == 'true'){
			if (isset($user_info['acctype']) && $user_info['acctype'] == 1){
				$isScratchCodeType = true;
			}
		}
		
	    // 20081224 - Handling for Scratch Code mode
	    if ($scratch_login == 'true' || $isScratchCodeType == true) {
			$userData = $userData . "<table>\n\n<tr>\n<td><font face=\"Arial\" size=\"1\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".get_cm_var('setcfg_users_popup_slip_scode')."<font color=\"red\">".$user_info['username']."</font></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr>";
	    } else {
			$userData = $userData . "<table>\n\n<tr>\n<td><font face=\"Arial\" size=\"1\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".get_cm_var('setcfg_users_popup_slip_username')."<font color=\"red\">".$user_info['username']."</font></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr>\n";
			$userData = $userData . "\n<tr><td><font face=\"Arial\" size=\"1\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".get_cm_var('setcfg_users_popup_slip_userpwd')."<font color=\"red\">".$user_info['password']."</font></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr>";
	    }

		$userData = $userData . "</table></FIELDSET></td></tr>";

		$userData = $userData . "\n\n<tr><td><font face=\"Arial\" size=\"1\"><b><u>".get_cm_var('setcfg_users_popup_slip_notes')."</u></b></font></td></tr>\n\n";

		// When the account is active
		if(isset($user_info['bt_acc'] )){
			switch($user_info['bt_acc']){
			case 0:
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_activate').get_cm_var('setcfg_users_popup_slip_now')."</font></td></tr>";
				break;
			case 1:
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_activate').get_cm_var('setcfg_users_popup_slip_flogin')."</font></td></tr>";
				break;
			case 2:
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_activate_time')."</font></td></tr>";
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1>&nbsp;&nbsp;".$user_info['add_act_date'].", ".$user_info['add_act_time']."</font></td></tr>";
				break;
			}
		}
		// 20081224 - Add Total Quota part
		// Conditions:
		$tempCondition = false;
		if( isset($user_info['bwcountUL']) ) {
			 if ($user_info['bwcountUL']=='2') $tempCondition = true; }
		if (isset($user_info['bwcount']) ) {
			if ( $user_info['bwcount']=='2')$tempCondition = true; }
		if (isset($user_info['bwcountSha']) && $user_info['bwcountSha'] == '2') {
		    $tempCondition = true;
		}
		if($tempCondition || isset($user_info['cb_acc1']) || isset($user_info['cb_acc2']) || isset($user_info['cb_acc3']) ||
			isset($user_info['cb_acc4']) )
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><b><u>".get_cm_var('setcfg_users_popup_slip_conditions')."</u></b></font></td></tr>";
		// Time left:
		if(isset($user_info['cb_acc1']))
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_timeleft').$user_info['add_timeleft']."</font></td></tr>";
		// No of Login Time
		if(isset($user_info['cb_acc2']))
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_loginleft').$user_info['add_login']."</font></td></tr>";
		// Bandwidth throttling:
		if(isset($user_info['bt_ul_limit']) && isset($user_info['bt_dl_limit'])) {
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_btul').$user_info['bt_ul_limit']."</font></td></tr>";
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_btdl').$user_info['bt_dl_limit']."</font></td></tr>";
		}
		// Upload Quota
		if(isset($user_info['bwcountUL'])){
			if ( $user_info['bwcountUL'] == 2)
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_uquota').$user_info['bwquotaUL']."</font></td></tr>";
		}
		// Download Quota
		if(isset($user_info['bwcount'])){
			if ( $user_info['bwcount'] == 2)
				$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_dquota').$user_info['bwquota']."</font></td></tr>";
		}
		// Total Quota
		if (isset($user_info['bwcountSha']) && $user_info['bwcountSha'] == 2) {
		    $userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_tquota').$user_info['bwquotaSha']."</font></td></tr>";
		}
		// Expire Date and Time
		if(isset($user_info['cb_acc3'])){
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_expdatetime')."</font></td></tr>";
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1>&nbsp;&nbsp;".$user_info['add_exp_date'].",".$user_info['add_exp_time']."</font></td></tr>";
		}
		// Suspend accout  after xxx minutes
		if(isset($user_info['cb_acc4'])){
	       $userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_suspend').$user_info['add_days']."(s)</font></td></tr>";
		}
		// Month valid until / expiry month
		if(isset($user_info['emonth']) && isset($user_info['eyear']) && $user_info['emonth'] >0 && $user_info['eyear'] >0){
		  $month_names = array("January","February","March","April","May","June","July","August","September","October","November","December"); 
	       $userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_popup_slip_expiry_month').$month_names[round($user_info['emonth'])].",".round($user_info['eyear'])."</font></td></tr>";
		}
		// Print Quota
		if(isset($user_info['printQuota']) && $user_info['printQuota'] != 0){
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".get_cm_var('setcfg_users_print_quota').$user_info['printQuota']."</font></td></tr>";
		}
		//Access Control List // commented in old editUser.php
		//Request Sign Up // commented in old  editUser.php
		//Bind to first login MAC
	    if(isset($user_info['macmap']) && $user_info['macmap'] != 0) {
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".$lang['setcfg_users_popup_slip_macmap']."</font></td></tr>";
	    }
		//Real IP address mapping
	    if(isset($user_info['ipmap']) && $user_info['ipmap'] != 0) {
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".$lang['setcfg_users_popup_slip_ipmap']."</font></td></tr>";
	    }
		// login segment
		if(isset($user_info['loginseg']) &&  $user_info['loginseg'] == 0 && $user_info['loginseg'] <= $numOfMNS) {
			$subContent = $lang['setcfg_segment_map_login_segment_opt0']." (".$lang['setcfg_multi_net_seg_router_IP'].'='.$local_ip.', '.$lang['setcfg_multi_net_seg_subnet_mask'].'='.$local_mask.")";
		}
		else if(isset($user_info['loginseg']) &&  $user_info['loginseg'] > 0 && $user_info['loginseg'] <= $numOfMNS) {
			$subContent = $arr_opt[$user_info['loginseg'] -1]." ";
		}
		else 
			$subContent =" ".$lang['setcfg_segment_map_login_segment_opt']." ";
		
		$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".$lang['setcfg_users_popup_slip_segmentmap1'].$subContent."</font></td></tr>";

		// Recurring Monday Tuesday..
		if(isset($user_info['recurring1'])) {
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1><strong>&#8226;</strong>&nbsp;".$lang['setcfg_users_popup_slip_recurring1']." ".$user_info['recurring1']." ".$lang['setcfg_users_popup_slip_recurring2']."</font></td></tr>";
			$userData = $userData . "\n\n<tr><td><font face=Arial size=1>&nbsp;".$user_info['days_str']."</font></td></tr>";
		}
		
		$userData .= "<tr>\n<td><font face=\"Arial\" size=\"".$pEndSize."\" >&nbsp;".$pEnd."</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr>\n";
	 	$userData = $userData . "</table></div>\n\n";

		$userDataArray[] = $userData;

	} // for each user
	//$contents2 .= "</div>\n";	// close the last page of <div id="page?">

	$userData = json_encode($userDataArray);
	$contents2 .= <<<EOD
<script type="text/javascript">
var showPage = 1;
var slipX = 2;
var slipY = 4;
var slipData = {$userData};

var totalSlip = slipData.length;
var currentPage = 1;
var pageBreak = '<div style="page-break-before: always; clear: both;"></div><div class="printInvisible" align="center" style="font-family: arial; font-size: xx-small; font-style: italic; color: blue; ">Page break<hr></hr></div>';

function switchPage(page) {
	page = parseInt(page);
	currentPage = page;
	page = ((page - 1) * showPage) + 1;

	var slipPerPage = slipX * slipY;
	var content = '';

	var slipStart;
	var slipEnd;
	var slipPageCount;
	var slipXCount;

	for (var pageCount = 0; pageCount < showPage; pageCount++) {
		if (pageCount != 0) content += pageBreak;

		slipStart = (page - 1) * slipPerPage;
		slipEnd = slipStart + slipPerPage;
		slipPageCount = 0;
		slipXCount = 0;

		content += '<div style="clear: both;">';
		for (var i = slipStart; i < slipEnd; i++) {
			if (slipXCount == slipX) {
				content += '</div><div style="clear: both;">';
				slipXCount = 0;
			}
			if (typeof slipData[i] == 'undefined') break;
			content += slipData[i];
			slipXCount++;
			slipPageCount++;
		}
		content += '</div>';

		if (slipPageCount != slipPerPage) break;

		page++;
	}

	document.getElementById('contentBox').innerHTML = content;
	makePageBox();
}
function changeSetting() {
	var show_page = parseInt(document.getElementById('show_page').value);
	var slip_x = parseInt(document.getElementById('slip_x').value);
	var slip_y = parseInt(document.getElementById('slip_y').value);
	if (show_page <= 0 || slip_x <= 0 || slip_y <= 0) {
		alert('All parameters should be larger than 0.');
		return;
	}
	showPage = show_page;
	slipX = slip_x;
	slipY = slip_y;
	currentPage = 1;
	makePageBox();
	switchPage(1);
}
function makePageBox() {
	var content = 'Page: ';
	var totalPage = Math.ceil(totalSlip / (slipX * slipY * showPage));
	for (var i = 1; i <= totalPage; i++) {
		if (parseInt(i) == currentPage) {
			content += i + ' ';
		} else {
			content += '<a href="#page' + i + '" onclick="javascript: switchPage(' + i + ');">' + i + '</a> ';
		}
	}
	document.getElementById('pageBox1').innerHTML = content;
	document.getElementById('pageBox2').innerHTML = content;
}
</script>
<div class="printInvisible" id="pageBox1" style="font-size: 12px; border: 1px solid #ccc; padding: 4px; background: #FFFFCC;"></div>
<div class="printInvisible" style="font-size: 12px; padding: 4px;">
	Show <input type="text" style="height: 18px; width: 30px;" id="show_page" value="" /> page(s), <input type="text" style="height: 18px; width: 30px;" id="slip_x" value="" /> x <input type="text" style="height: 18px; width: 30px;" id="slip_y" value="" /> per page &nbsp;<input type="button" onclick="javascript: changeSetting();" value="Set" />
</div>
<script type="text/javascript">
	document.getElementById('show_page').value = showPage;
	document.getElementById('slip_x').value = slipX;
	document.getElementById('slip_y').value = slipY;
</script>
<div id="contentBox"></div>
<script type="text/javascript">
	switchPage(1);
</script>
EOD;

	/*
	if ($num_pages>1){
		$contents2 .= "<div class=\"printInvisible\">\n";
		$contents2 .= "<table><tr><td align=\"center\"><fieldset class=\"pageMenu\">Page ";		
		for ($i=1; $i<=$num_pages; $i++ ){
			$contents2.= "<a onclick=\"javascript:display(".$i.");\" class=\"clickable\" id=\"page_menu_num2_".$i."\">".$i."</a>";
		}
		$contents2 .= "</fieldset></td></tr></table>\n</div>\n";
	}
	*/


	// contents2 = contents2 + "<table>\n\n<tr>\n<td><font face=\"Arial\" size=\""+pEndSize+"\" >&nbsp;"+pEnd+"<\/font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<\/td><\/tr>\n";
	$contents2 = $contents2 . "<table style='clear: both;'>\n\n";
	$contents2 = $contents2 . "\n\n<tr align=\"center\">\n<td><div class=\"printInvisible\"><input type=\"button\" style=\"border-top-style:none;border-left-style:none;border-right-style:none;border-bottom-style:none;font-size:10px;font-weight:bold;width:60\" value=\"Print\" onclick=\"javascript:window.print()\">\n&nbsp;&nbsp;<input type=\"button\" style=\"border-top-style:none;border-left-style:none;border-right-style:none;border-bottom-style:none;font-size:10px;font-weight:bold;width:60\" onclick=\"doSaveAs()\" value=\"Save\">\n&nbsp;&nbsp; <input type=\"button\" style=\"border-top-style:none;border-left-style:none;border-right-style:none;border-bottom-style:none;font-size:10px;font-weight:bold;width:60\" value=\"Close\" onclick=\"javascript:window.close()\"></div></td>\n</tr>\n\n";
	$contents2 = $contents2 . "</table>\n";
	$contents2 .= '<div class="printInvisible" id="pageBox2" style="font-size: 12px; border: 1px solid #ccc; padding: 4px; background: #FFFFCC;"></div>';
	$contents2 .= '<script type="text/javascript">makePageBox();</script>';
	$contents2 = $contents2 . "</body>\n</html>";
	
	$server_slip = $contents . $contents_server . $contents2;
	$local_slip = $contents . $contents_local . $contents2;

	// write the contents of both $server_slip and $local_slip to two temp files for printing purpose
	if($no_of_users > 0) { // at least one user is successfully created
		// create temp file for popup window (i.e. "save as" lies to downloading)
		$fserver = @fopen($temp_file, 'w') or die("Error: Cannot access file.");
		fwrite($fserver, $server_slip);
		fclose($fserver);
		
		// create temp file to be used on local (i.e. "save as" does nothing)
		$flocal = @fopen($temp_file_local, 'w') or die("Error: Cannot access file.");
		fwrite($flocal, $local_slip);
		fclose($flocal);
		
		echo "<script language=\"javascript\">\n<!--\n";
		echo "window.open('slip_popup.php?filename=".$temp_filename.".html"."','previewWindow','menubar=yes,scrollbars=yes', 'dependent=yes' );\n";
		echo "// -->\n";
		echo "</script>";
	}

?>