<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>Web Filtering Table</title>
<style type="text/css">
<!--
	table { font-family: Tahoma, sans-serif; font-size: 10pt; }
	.odd { background: #F0F0F0; }
	.even { background: #FFF; }
	.checked { background: #BAEAD6; }
	#display { border-collapse: collapse; color: #000;  }
	#add { border-top: 1px solid #99D1A2; border-collapse: collapse ; color: #096; }
	form {margin: 0; }
-->
</style>
<script type="text/javascript">
	function recordScrollTop(){
		document.combo.page_scroll_top.value = document.body.scrollTop;
	}
</script>
</head>
<body>
<?php

require_once 'display_list.php';
// register sessions, if needed

if(!defined('DOMAINLEN'))
	define('DOMAINLEN', 255);
if(!defined('DOMAINLISTLEN'))
	define('DOMAINLISTLEN', 100);

$perdis = ""; 
if(isset($_GET['perdis'])) 
	$perdis = $_GET['perdis'];

$listCount	= -1;
$domainCount= 0;
if (!isset($ser_display_wf)||($ser_display_wf=='')) {
	$settingobj			= new COM('FSCONFIG.Cfgmgr') or die('table_portflt.php FSCONFIG.Cfgmgr Object cannot be created!');
	$wfilter_on			= $settingobj->getKey( 'wfilter', 'Web Filter');
	$wfilter_datafile	= realpath("..\\").'\\BlockedWebPageKey.txt';
	$settingobj			= null;

	$display_wf = new Site_Array;

	$wfilter_list = fopen($wfilter_datafile, 'r') or die ('Cannot open or create configuration file for exception free sites');
	while(!feof($wfilter_list)){
		$line = fgets($wfilter_list, DOMAINLEN);
		if(strstr($line, "WF END"))			// End of web filter list
			break;

		if($listCount >= 0 && $line != ""){
			$display_wf->add_site('','','false',FALSE,'');
			$display_wf->site_list[$listCount++]->span = trim($line);
		}

		if(strstr($line, "WF START"))
			$listCount = 0;
	}
	$ser_display_wf = serialize($display_wf);
	session_register('ser_display_wf');
}

if (!isset($ser_add_wf)) {
	$add_wf = new Site_Array;
	$ser_add_wf = serialize($add_wf);
	session_register('ser_add_wf');
}

// unserialize data
if (isset($ser_display_wf)) {
	$display_wf = unserialize($ser_display_wf);
}

if (isset($ser_add_wf)) {
	$add_wf = unserialize($ser_add_wf);
}

$cClass	= '';

if ($display_wf->num_sites > 0) {
	echo '
<table id="display" width="100%">
<colgroup span="2">
<col width="90%">
<col width="10%">
</colgroup>';

	$i = 0;
	$class	= '';

	while ($i < $display_wf->num_sites) {
		if ($display_wf->site_list[$i]->name != ';') {
			$cClass = ($cClass == 'odd')? 'even': 'odd';
			if ($display_wf->site_list[$i]->checked == 'true') {
				$checked = 'checked';
				$class = 'checked';
			} else {
				$checked = '';
				$class = $cClass;
			}

			$num = explode(' ', $display_wf->site_list[$i]->span);

			echo "\n<tr class=\"$class\">\n";

			for ($k = 0; $k < sizeof($num); $k++) {
				if($num[$k] == '#') {
					$k++;
					$thisElement = '#'.$num[$k];
				}
				else{
					$thisElement = $num[$k];
					$domainCount++;
				}
				echo "	<td>$thisElement</td>\n";
			}

			echo '	<td><input type="checkbox" onClick="document.combo.item_no_wf.value=\'dis'.$i.'\'; recordScrollTop(); document.combo.submit();" '.$checked.' '.$perdis.'></td>';
			echo "\n</tr>\n";
		}
		$i++;
	}
	echo "</table>\n";
}

if ($add_wf->num_sites > 0) {
	echo '
<table id="add" width="100%">
<colgroup span="2">
<col width="90%">
<col width="10%">
</colgroup>';

	$i = 0;
	$class = '';

	while ($i < $add_wf->num_sites) {
		if ($add_wf->site_list[$i]->name != ';') {
			$cClass = ($cClass == 'odd')? 'even': 'odd';
			if ($add_wf->site_list[$i]->checked == 'true') {
				$checked = 'checked';
				$class = 'checked';
			} else {
				$checked = '';
				$class = $cClass;
			}

			$num = explode(' ', $add_wf->site_list[$i]->span);

			echo "\n<tr class=\"$class\">\n";

			for ($k = 0; $k < sizeof($num); $k++) {
				if($num[$k] == '#') {
					$k++;
					$thisElement = '#'.$num[$k];
				}
				else{
					$thisElement = $num[$k];
					$domainCount++;
				}
				echo "	<td>$thisElement</td>\n";
			}

			echo '	<td><input type="checkbox" onClick="document.combo.item_no_wf.value=\'add'.$i.'\'; recordScrollTop(); document.combo.submit();" '.$checked.'></td>';
			echo "\n</tr>\n";
		}
		$i++;
	}
	echo "</table>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
	<input type="hidden" name="item_no_wf" value="">
	<input type="hidden" name="page_scroll_top" value="0"/>
</form>

<form name="wf_adder" action="intermediate.php" method="post">
	<input type="hidden" name="web_key" value=""/>
	<input type="hidden" name="add_flag_wf" value="true"/>
	<input type="hidden" name="page_scroll_top" value="0"/>
</form>

<form name="wf_deleter" action="intermediate.php" method="post">
	<input type="hidden" name="delete_flag_wf" value="true">
	<input type="hidden" name="page_scroll_top" value="0"/>
</form>

<form name="wf_view">
	<input type="hidden" name="wf_count" value="<?=$domainCount?>">
</form>
<?php
if(isset($scl) && $scl > 0){
?>
<script type="text/javascript">
	document.body.scrollTop = <?=$scl?>;
</script>
<?php
}
?>
</body>
</html>
